
	REM
	REM super pixel bros
	REM By Brad Slattery
	REM Ported to IntyBASIC
	REM by Catsfolly
	REM Dec 2014.
	
	REM Brad's header

' Super Pixel Bros Source Code Version 1
' By Brad Slattery September 2011
'
' Please note that the sourcecode is not very well commented (I would probably just ignore them actually)
' I would have liked to have done more with this game but I just don't have time for everything = )
'
' If you like my open source projects, feel free to donate some money to a charity.
'
' I am a Christian and would like to take this opportunity so say that just as I designed and created this game, God designed and created you!
'
' See www.bradsprojects.com for this and other projects
' See http://www.youtube.com/user/00retrobrad00 for my youtube video's
'
' God Bless = )


			
	include sticdefs.bas

	mode 0,C_BLK,C_LBL,C_BLK,C_LBL

	const true = 1
	const false = 0
	const transitionmax = 14
	const bad_column = 200


rem Start Of Program... 

SoundEnable = 0
             
PlayerX = 4
PlayerY = 4
rem JumpFlags = 0
JumpUp = 0
Hover = 0
FallDown = 0
JumpUpCounter = 3  'this allows us to jump up three spaces from where we are.
JumpDelay = 4
BarrierFlags = 0
BarrierRight = 0
LostLife = false
BadGuyType = 0
BadGuyX = 13
BadGuyY = 7
BadGuyXDelay = 3
BadGuyYDelay = 3
rem BadGuyJumpFlags = $04  ' %00000100
		BadGuyJumpUp = 0
		BadGuyHover = 0
		BadGuyFallDown = 1
BadGuyJumpDelay = 3
BadGuyJumpUpCounter = 2
AnimationSpeed = 10
DisplayTItle = 1 ' this will display the title
WhichLevel = 0
ChangeLevel = true      ' set this initialy so we can load the first level, it will be cleared once loaded
Buttons = $ff ' %11111111 ' a logic 0 means a button is pressed
#Score = 0
#ScoreOld = 0
#HiScore= 42
Lives = 9 
ButtonLockoutDelay = 200  
Fired = false
BulletX = 0
BulletY = 0
ShotDelay = 6
ShotDirection = 0
StartColumn = 0
PrevStartColumn = bad_column
EndBossHitCounter = 0
FacingRight = true
RandomCoin = 0   
DoorOpen = 0

SoundSelect0 = 0
SoundSelect1 = 1
SoundSelect2 = 1

rem intellivision specific vars
dim #LevelBuffer(128 * 8)

	PLAY SIMPLE
sound_index = 0
sound_flags = 0
	const SF_TONE	= 1
	const SF_NOISE  = 2
	const hitwall = 10   ' should be 10
	const ding2 = 50	' should be 17
	const bounce = 15	' should be 27
	const land= 30
	const lefthit = 40
	const righthit = 45
	


	goto	setup_gram
	
	const filler =  ((95 * 8) + X_DGR)
	const screw  =  (3 * 8) + CS_GRAM + X_DGR
	const topline = (1 * 8) + CS_GRAM + X_DGR
	const dblline = (2 * 8) + CS_GRAM + X_DGR
	const vlft    = (6 * 8) + CS_GRAM + X_DGR
	const vrt     = (7 * 8) + CS_GRAM + X_DGR
	const ulc     = (4 * 8) + CS_GRAM + X_DGR
	const urc     = (5 * 8) + CS_GRAM + X_DGR
	const llc     = (8 * 8) + CS_GRAM + X_DGR
	const lrc     = (9 * 8) + CS_GRAM + X_DGR

screen_line0:
	data screw , filler, filler, filler, filler
	data ulc   , topline, topline, topline, topline
	data topline, topline, topline, topline, urc
	data filler, filler, filler, filler, screw
screen_line1:
	data filler, filler, filler, filler, filler
	data vlft  ,0,0,0,0
	data 0,0,0,0,vrt   
	data filler, filler, filler, filler, filler
screen_line9:
	data filler, ulc    , topline,topline,topline
	data llc    ,dblline,dblline,dblline,dblline
	data dblline,dblline,dblline,dblline,lrc
	data topline,topline,topline,urc    ,filler
screen_line10:
	data filler, vlft  , filler, filler, filler
	data filler, filler, filler, filler, filler
	data filler, filler, filler, filler, filler
	data filler, filler, filler, vrt+ $2000, filler
screen_line11:
	data screw , vlft, filler, filler, filler
	data filler, filler, filler, filler, filler
	data filler, filler, filler, filler, filler
	data filler, filler, filler, vrt + $2000, screw

setup_gram:
	cls

	rem init some custom characters
	WAIT
	DEFINE 0,10,gramchars ' load the custom character definitions
	WAIT
	DEFINE 	10,2,gramchars10 ' load the custom character definitions
	WAIT

	rem draw the screen template
	screen screen_line0,0,0,20,2

	for i = 40 to 160 step 20
		screen screen_line1,0, i,20,1
	next i
	
	screen screen_line9,0,180,20,3




REM *****************************************************************
REM
REM loop - main gameplay loop
REM
REM *****************************************************************
rem Main Loop
do_title:
	gosub WriteLCD
title_loop:
   rem gosub PlaySoundFX
	    gosub update_sound
     	gosub CheckControlPad
 	gosub DrawGraphics
     	gosub ScrollText
 	gosub CheckForStart
	if PlayGame= 0 goto title_loop

do_transition:
      gosub SaveLevelToRam
transition_loop:
	gosub DrawGraphics
	wait	
	wait
	wait
	if TransitionCount < transitionmax then goto transition_loop

main_loop:                       ' This creates an infinite loop
      rem gosub PlaySoundFX
	  gosub update_sound
      gosub CheckControlPad
      gosub SaveLevelToRam
      gosub CheckIfHitBadGuy
      gosub UpdateBackground
      gosub UpdatePlayer
      gosub CheckForBarriers
      gosub CheckIfLostLife
      gosub UpdateBadGuys
      gosub DrawGraphics
      rem gosub ScrollText  ' was rem
      rem gosub CheckForStart ' was rem
      gosub CheckLevelUp
      gosub CheckScore
      gosub CheckIfGameOver
      gosub WriteLCD
      gosub UpdateHiScore
      gosub CheckIfFired
      gosub UpdateBullet
      gosub CheckIfShotBadGuy
      gosub AddorRemoveCastleDoor
 	wait
      if TransitionCount < transitionmax then goto do_transition

      if PlayGame > 0 goto main_loop else goto do_title
	goto main_loop '                                   Loop back to the while loop as long as we havent finished.
 
REM main gameplay loop end *****************************************************************	


CheckLevelUp: procedure
    If PlayGame = 0 Then return
       If ((StartColumn + 8) = 120) And (ButtonUp = 0) Then goto clu_20
		return

clu_20:
            rem SoundSelect0 = 0
            rem SoundSelect1 = 0
            rem SoundSelect2 = 1
            rem SoundEnable = 1
            rem SoundEnable = 0   
	    play level_up         
          EndBossHitCounter = 0
          StartColumn = 0
          PlayerY = 4
          JumpUp = 1
          Hover = 0
          FallDown = 0
          WhichLevel = WhichLevel + 1
	  if WhichLevel > 19 then WhichLevel = 0
          ChangeLevel = true  ' now that we are going to a new level - we need to update the level buffer
          BadGuyY = 6
          BadGuyX = 13
          BadGuyJumpUp = 0
          BadGuyHover = 0
          BadGuyFallDown = 1
	  TransitionCount = 0
	  DoorOpen = 0
End


SaveLevelToRam: procedure
    If ChangeLevel = false Then return
        ChangeLevel = false
	if (WhichLevel < 10) then #index = WhichLevel * (120 * 2) else #index = (WhichLevel -10) * (120 * 2)
	for #dindex = 0 to (120 * 8) step 8
		
		if (WhichLevel < 10) then #sltemp = Level1Data(#index) else #sltemp = Level11Data(#index)
		#sltemp2 = #sltemp /256
		#LevelBuffer(#dindex  ) = tiletable( #sltemp2  / 16)
		#LevelBuffer(#dindex+1) = tiletable( #sltemp2  AND $0f)
		#LevelBuffer(#dindex+2) = tiletable( (#sltemp / 16) AND $0f)
		#LevelBuffer(#dindex+3) = tiletable( #sltemp AND $0f)

		#index = #index + 1
		if (WhichLevel < 10) then #sltemp = Level1Data(#index) else #sltemp = Level11Data(#index)
		#sltemp2 = #sltemp /256
		#LevelBuffer(#dindex+4) = tiletable( #sltemp2  / 16)
		#LevelBuffer(#dindex+5) = tiletable( #sltemp2  AND $0f)
		#LevelBuffer(#dindex+6) = tiletable( (#sltemp / 16) AND $0f)
		#LevelBuffer(#dindex+7) = tiletable( #sltemp AND $0f)
		#index = #index + 1
	next #dindex
end

DrawGraphics: procedure
    If PlayGame = 0 then goto try_title

	if (TransitionCount < 14) then TransitionCount = TransitionCount + 1 : PrevStartColumn = bad_column
	lastrow = TransitionCount /2

	if StartColumn = PrevStartColumn goto skip_draw
	PrevStartColumn = StartColumn 
        For x = StartColumn To (StartColumn + 7)
		#btadrs = BACKTAB+ 20 + 6 + (x - StartColumn)
		for row = 0 to lastrow
			poke #btadrs, #LevelBuffer( (x * 8) + row)
			#btadrs = #btadrs + 20
		next row
		if (row < 8) then poke #btadrs, tiletable(7)
	next x 
skip_draw:

            ' this code will draw the bad guy on the screen   (red and blue = magenta badguy!)
	     ' only draw him if he is in the screen
		if (BadGuyX < StartColumn) OR (BadGuyX > (StartColumn + 7)) then goto nobad
		if BadGUyY > 7 then goto nobad
		SPRITE 2,(BadGuyX - StartColumn) * 8  + MB_X_INTR + MB_X_VIS + 56, ((7 -BadGuyY) * 8) +MB_Y_YSIZ2 + 16 ,MB_A_GRAM + X_PUR
		goto try_player
nobad:
		SPRITE 2,0,0,0
try_player:
                  
            ' this draws the player on the screen
            If LostLife = true Then goto no_player                   ' only draw the player on the screen, if we have not lost a life

                   If PlayerY  > 7  Then goto no_player      'ensure that we only inlude this info in our data IF THE PLAYER IS ON THE SCREEN!
                  
	    SPRITE 0,(3) * 8  + MB_X_INTR + MB_X_VIS + 56, ((7 - PlayerY) * 8) +MB_Y_YSIZ2 + 16 ,MB_A_GRAM + X_RED
		goto try_bullet
no_player:
		sprite 0,0,0,0
try_bullet:

            ' this draws the bullet on the screen
            If Fired = false then goto no_bullet
	    if  BulletY > 7 then goto no_bullet
                
		  if (BulletX < StartColumn) OR (BulletX > (StartColumn + 7)) then goto no_bullet
			SPRITE 1,(BulletX - StartColumn)  * 8  + MB_X_INTR + MB_X_VIS + 56, ((7 - BulletY) * 8) +MB_Y_YSIZ2 +16 ,MB_A_GRAM + X_CYN
		return
no_bullet:
	sprite 1,0,0,0  
                             
         
return


 
try_title:
	
    If DisplayTitle = 0 Then return
        For x = StartColumn To (StartColumn + 7)
		#index = x
		#btadrs = BACKTAB+ 6 + (x - StartColumn)
		gosub draw_column
	next x
           
end


IsBossLevel:
	data	0	' level  0
	data	0	' level  1
	data	0	' level  2
	data	1	' level  3	
	data	0	' level  4

	data	0	' level  5
	data	0	' level  6
	data	1	' level  7
	data	0	' level  8	
	data	0	' level  9

	data	0	' level 10
	data	1	' level 11
	data	0	' level 12
	data	0	' level 13	
	data	0	' level 14

	data	1	' level 15
	data	0	' level 16
	data	0	' level 17
	data	0	' level 18	
	data	1	' level 19

nextbosscolumn:
	data	101	' column  97
	data	101	' column  98
	data	102	' column  99
	data	103	' column 100
	data	 99	' column 101
	data	100	' column 102
	data	 98	' column 103
	data	101	' column  97

ScrollText: procedure
    If DisplayTitle = 0 Then return
        If AnimationSpeed > 0 Then AnimationSpeed = AnimationSpeed -1 : return
      
        AnimationSpeed = 3
        StartColumn = StartColumn + 1
        If StartColumn + 8 > 95 Then  StartColumn = 0          ' 120 is the pixel width of the levels

 End

UpdateBackground: procedure

    If PlayGame = 0 Then return
    If LostLife = 1 Then goto ubg_ll                   ' we only check buttons, if we have not just lost a life!
    ' this will take care of making the player jump
    If ButtonB = 1 And JumpUp = 0 And Hover = 0 And FallDown = 0 Then   JumpUp = 1 : temp = bounce : gosub init_sound     ' have pressed the button and not jumping, hovering or falling
      
     ' this will take care of making the player move to the right 
	test = ((ButtonRight = 1) And (BarrierRight = 0) And ((StartColumn + 8) <> 120))    ' 120 means we are right at the end of the level
     If test = 0 then goto ubg_cr	   
     If AnimationSpeed <> 0 Then AnimationSpeed = AnimationSpeed -1 else FacingRight = 1 : AnimationSpeed = 7 : StartColumn = StartColumn+1
                    
ubg_cr:
           ' this will take care of making the player move to the left   
	    test = (ButtonLeft = 1) And (BarrierLeft = 0) And (StartColumn > 0)
            If test = 0 then return
             If AnimationSpeed <> 0 Then AnimationSpeed = AnimationSpeed -1 else FacingRight = 0 : AnimationSpeed = 7 : StartColumn = StartColumn-1
            return
' this else statement is basically saying that we have just lost a life so it just skipped everything above to prevent us from pressing any buttons
ubg_ll:

                                 ' if we have just lost a life, then we will scroll back to the start of the level
            StartColumn = StartColumn - 1     ' taking one away from startcolumn will move the background one column to the right (so we are moving left)
            If StartColumn > 0 Then return
           ' if we get back to the start then
              LostLife = false               ' we are free to start playing again 
              PlayerY = 5                    ' the player will start from the same place each time, and then fall
              BadGuyY = 6
              BadGuyX = 13
              BadGuyJumpUp = 0
              BadGuyHover = 0
              BadGuyFallDown = 1
           
          
End 

UpdatePlayer: procedure
    If PlayGame = 0 then return
        If JumpUp = 0 Then goto up_nojump
           If BarrierUp = 0 Then goto up_nobarrier      ' if theres a block above us then make it so we can't go up anymore
                If RandomCoin < 200 Then temp = hitwall : gosub init_sound : goto up_nocoin
                    #Score = #Score + 3 ' five points for hitting a block that contains a coin
                    rem SoundSelect0 = 0
                    rem SoundSelect1 = 0
                    rem SoundSelect2 = 1
                    rem SoundEnable = 1
                    rem SoundEnable = 0
		   play coin_sound
up_nocoin:
                    #Score = #Score + 2   ' 2 points for hitting a block!
                
		rem clear the block at Startcolumn +3, PlayerY + 1
	 	#index = (StartColumn + 3) * 8       ' this is same column as our player
	        #LevelBuffer(#index + (6 - PlayerY)) = 0
		PrevStartColumn = bad_column ' force redraw
              
              Hover = 1
              JumpUp = 0
              JumpUpCounter = 3             ' this is the number of spaces that we can
              JumpDelay = 3                 ' reset the jump / hover delay
	      goto up_nojump
up_nobarrier:
                                      ' if theres no block, then keep going
               If JumpDelay <> 0 Then JumpDelay = JumpDelay -1 : goto up_nojump
                   JumpDelay = 4
                   If JumpUpCounter <> 0 Then PlayerY = PlayerY + 1 : JumpUpCounter = JumpUpCounter - 1 : goto up_nojump
                       Hover = 1
                       JumpUp = 0
                       JumpUpCounter = 3
                       JumpDelay = 3       
up_nojump:

        If Hover = 0 Then goto up_checkfall
	If JumpDelay <> 0 Then JumpDelay = JumpDelay -1 : goto up_checkfall
               JumpDelay = 3
               If JumpUpCounter <> 0 Then JumpUpCounter = JumpUpCounter -1 else Hover = 0 : FallDown = 1 : JumpUpCounter = 3

up_checkfall:
        
        If FallDown = 0 Then return

           If BarrierDown = 1 Then FallDown = 0 : JumpUpCounter = 3 : JumpDelay = 4 : temp = land : gosub init_sound_lp : return
          
           If JumpDelay <> 0 Then JumpDelay = JumpDelay -1 else JumpDelay = 4 : PlayerY = PlayerY - 1 : JumpUpCounter = JumpUpCounter -1
                
   
End 

CheckForBarriers: procedure
    RandomCoin = RandomCoin + 1		' used to make it so that sometimes you get more points when hitting a block
    If PlayGame = 0 Then return

    If LostLife = true Then return     'only check for barriers if we are still playing
            
	    #index = (StartColumn + 4) * 8       ' this is the column to the right of our player
	    if (PlayerY < 8) AND ( #LevelBuffer(#index + (7-PlayerY))  < 0) then BarrierRight = 1 else BarrierRight = 0
             ' this ensures that we only check for barriers if we are in the visible screen area

  	    #index = (StartColumn + 2) * 8       ' this is the column to the right of our player
	    if (PlayerY < 8) AND ( #LevelBuffer(#index + (7-PlayerY)) < 0) then BarrierLeft = 1 else BarrierLeft = 0

		 #index = (StartColumn + 3) * 8       ' this is same column as our player
	    if (PlayerY < 7) AND ( #LevelBuffer(#index + (6 - PlayerY)) < 0) then BarrierUp = 1 else BarrierUp = 0
     
   	    if (PlayerY < 9) AND ( #LevelBuffer(#index + (8 - PlayerY)) < 0) then BarrierDown = 1 : goto cfb_20
		BarrierDown = 0 
		if (JumpUp = 0) AND (Hover = 0) then FallDown = 1
cfb_20:
 	   ' this next part takes care of the bad guys barriers 
	    #index = (BadGuyX + 1) * 8       ' this is the column to the right of the bad guy
	    if (BadGuyY < 8) AND ( #LevelBuffer(#index + (7-BadGuyY))  < 0) then BadGuyBarrierRight = 1 else BadGuyBarrierRight = 0
             ' this ensures that we only check for barriers if we are in the visible screen area

  	    #index = (BadGuyX -1) * 8       ' this is the column to the left of the bad guy
	    if (BadGuyY < 8) AND ( #LevelBuffer(#index + (7-BadGuyY)) < 0) then BadGuyBarrierLeft = 1 else BadGuyBarrierLeft = 0

		#index = (BadGuyX) * 8       ' this is same column as the bad guy
	    if (BadGuyY < 7) AND ( #LevelBuffer(#index + (6 - BadGuyY)) < 0) then BadGuyBarrierUp = 1 else BadGuyBarrierUp = 0
     
   	    if (BadGuyY < 9) AND ( #LevelBuffer(#index + (8 - BadGuyY)) < 0) then BadGuyBarrierDown = 1 : goto cfb_40
		BadGuyBarrierDown = 0 
		if (BadGuyJumpUp = 0) AND (BadGuyHover = 0) then BadGuyFallDown = 1
cfb_40:   
           
End

UpdateBadGuys: procedure
If PlayGame = 0 Then return
        If BadGuyJumpUp = 0 Then goto ubg_40
           If BadGuyBarrierUp = 0 Then  goto ubg_10        ' if theres a block above us then make it so we can't go up anymore
              BadGuyHover = 1
              BadGuyJumpUp = 0
              BadGuyJumpUpCounter = 2             ' this is the number of spaces that we can
              BadGuyJumpDelay = 5                 ' reset the jump / hover delay
	      goto ubg_40

ubg_10:                             ' if theres no block, then keep going
               If BadGuyJumpDelay <> 0 Then BadGuyJumpDelay = BadGuyJumpDelay -1 : goto ubg_40
                   BadGuyJumpDelay = 5
                  If BadGuyJumpUpCounter <> 0 Then BadGuyY = BadGuyY+1 : BadGuyJumpUpCounter = BadGuyJumpUpCounter -1 : goto ubg_40
                    
                       BadGuyHover = 1
                       BadGuyJumpUp = 0
                       BadGuyJumpUpCounter = 2
                       BadGuyJumpDelay = 5
ubg_40:
        
        If BadGuyHover = 0 Then goto ubg_60
           If BadGuyJumpDelay <> 0 Then BadGuyJumpDelay = BadGuyJumpDelay -1 : goto ubg_60
               BadGuyJumpDelay = 5
               If BadGuyJumpUpCounter <> 0 Then BadGuyJumpUpCounter = BadGuyJumpUpCounter-1 : goto ubg_60
                   BadGuyHover = 0
                   BadGuyFallDown = 1
                   BadGuyJumpUpCounter = 2
  
ubg_60:
        If BadGuyFallDown = 0 Then return

           If BadGuyBarrierDown = 0 Then goto ubg_80
              BadGuyFallDown = 0
              BadGuyJumpUpCounter = 2
              BadGuyJumpDelay = 5
              BadGuyJumpUp = 1
	     return
ubg_80:
               If BadGuyJumpDelay <> 0 Then BadGuyJumpDelay = BadGuyJumpDelay -1 : return
                 
                   BadGuyJumpDelay = 5
                   BadGuyY = BadGuyY -1
                   BadGuyJumpUpCounter = BadGuyJumpUpCounter -1

End

CheckForStart: procedure
    If DisplayTitle = 0 Then return
    If ButtonLockoutDelay > 0 Then ButtonLockoutDelay = ButtonLockoutDelay -1 : return
          
    If ButtonA = 0 AND ButtonB = 0 Then return
     ' if we press either of the two game buttons then start the game and reset all variables
                SoundEnable = 0  'this stops the title screen music
                ButtonLockoutDelay = 200 ' this is so we have a little delay between showing the title and starting or restarting the game
                StartColumn = 0                     
                PlayerX = 4
                PlayerY = 4
                rem JumpFlags = 0
	        JumpUp = 0
		Hover = 0
		FallDown = 0
                JumpUpCounter = 3  'this allows us to jump up three spaces from where we are.
                JumpDelay = 4
                BarrierFlags = 0
                BarrierRight = 0
                LostLife = false
                BadGuyType = 0
                BadGuyX = 13
                BadGuyY = 7
                BadGuyXDelay = 3
                BadGuyYDelay = 3
                rem BadGuyJumpFlags = $04  ' %00000100
		BadGuyJumpUp = 0
		BadGuyHover = 0
		BadGuyFallDown = 1
                BadGuyJumpDelay = 3
                BadGuyJumpUpCounter = 2
                AnimationSpeed = 10
		DisplayLives = 1
                WhichLevel = 0   ' should be 0
                ChangeLevel = true      ' set this initialy so we can load the first level, it will be cleared once loaded

                #Score = 0
                #ScoreOld = 0

                Lives = 9           
                DisplayTitle = 0                             ' disable the title
                PlayGame = 1                                 ' enable the game
                StartColumn = 0                              ' make sure we start back at the first column (because the title also uses this variable)
		TransitionCount = 0
		DoorOpen = 0
		
End 


CheckControlPad: procedure
	if (cont1.UP + cont2.UP)    then ButtonUp    = 1 else ButtonUp    = 0 
	if (cont1.DOWN + cont2.DOWN)  then ButtonDown  = 1 else ButtonDown  = 0 
	if (cont1.LEFT + cont2.LEFT)  then ButtonLeft  = 1 else ButtonLeft  = 0
 	if (cont1.RIGHT + cont2.RIGHT) then ButtonRight = 1 else ButtonRight = 0 

	if (cont1.B0 + cont2.B0) then ButtonA = 1 else ButtonA = 0 
	if (cont1.B1 + cont1.B2 + cont2.B1 + cont2.B2 ) then ButtonB =1 else ButtonB = 0
	if ((cont1.key = 11) OR (cont2.key = 11)) then ButtonStart = 1 else ButtonStart = 0
	if ((cont1.key = 10)  OR (cont2.key = 11)) then ButtonSelect = 1 else ButtonSelect = 0
End

CheckScore: procedure      ' we come here to see if we have gained an extra 500 points, if so - we add another life
    If #Score < #ScoreOld + 500 Then return
        #ScoreOld = #ScoreOld + 500 
        Lives = Lives + 1
        If Lives > 9 Then Lives = 9    ' can't get more than 9 lives
End
	const baddr = BACKTAB + (20 * 10) + 16
	const bleft  = (10 * 8) + CS_GRAM
	const bright = (11 * 8) + CS_GRAM

WriteLCD: procedure
    If PlayGame = 0 Then goto wlcd_40
        If (IsBossLevel(WhichLevel) > 0 ) And StartColumn > 90 Then goto wlcd_20
       
       	rem regular gameplay case   	
	print color 0
  
	poke  BACKTAB + (20 *  10) +  2 , (51 * 8)  + $2000
	print at (20 * 10 + 3) ,"core="
	print <5>#score,"    "
	
	if (fired > 0) then poke baddr, 0   : poke baddr+1, 0 else poke baddr, bleft : poke baddr+1, bright
	poke (Backtab + (20 * 11 + 2)), (51 * 8) + $2000
        print at (20 * 11 + 3), "tage="
	rem PRINT (WhichLevel/10%10+16)*8+0,(WhichLevel%10+16)*8+0
	print <2>WhichLevel
	print " lives="
	print (Lives+16) * 8 + 0 
  
        rem LCD.WriteAt(1,1,"StartColumn ",Convert.DecToStr(StartColumn,3)) 
        rem LCD.WriteAt(2,1,"BadguyX ",Convert.DecToStr(BadGuyX,3))
  	 return
wlcd_20:
	rem end boss case
     If (EndBossHitCounter > WhichLevel) or (DoorOpen = 1) Then goto wlcd_30
		poke  BACKTAB + (20 *  10) +  2 , (10 * 8)  + $2000
		poke  BACKTAB + (20 *  11) +  2 , (40 * 8)  + $2000
		print color 0
                print at (20 * 10 + 3) ,"** END BOSS ***"
                print at (20 * 11 + 3) ,"its Needed   "
		temp = WhichLevel + 1 - EndBossHitCounter
		print <2>temp
		rem PRINT (temp/10%10+16)*8+0,(temp%10+16)*8+0 

		return

wlcd_30:
		print color 0
		poke  BACKTAB + (20 *  10) +  2 , (10 * 8)  + $2000
		poke  BACKTAB + (20 *  11) +  2 , (10 * 8)  + $2000


                print at (20 * 10 + 3) ,"* WELL  DONE **"
 		print at (20 * 11 + 3) ," DOOR IS OPEN *"
		rem temp = WhichLevel + 1 - EndBossHitCounter
		rem PRINT (temp/10%10+16)*8+0,(temp%10+16)*8+0 
              
           return

wlcd_40:
    If DisplayTitle = 0 Then return
	poke  BACKTAB + (20 *  10) +  2 , (51 * 8)  + $2000
	poke  BACKTAB + (20 *  11) +  2 , (40 * 8)  + $2000
        print color 0
	print at ((20 * 10) + 3) ,"uper Pixel Bros" 

        print at ((20 * 11) + 3) ,"i Score="
		print <5>#HiScore,"  "
	rem print at ((20 * 10) + 2) ,"xxxxxxxxxx"

End 

CheckIfGameOver: procedure
    If PlayGame = 0 then return 
	If Lives > 0 Then return 
	PlayGame = 0 
	DisplayTitle = 1
	sprite 0,0,0,0
	sprite 1,0,0,0
	sprite 2,0,0,0
  
End

UpdateHiScore: procedure
    If DisplayTitle = 0 Then return
        If #Score > #HiScore Then #HiScore = #Score      ' then compare it with this current score
	            
End

CheckIfFired: procedure
    If PlayGame = 0 Then return
 	if ((IsBossLevel(WhichLevel) > 0 ) and (DoorOpen=0) and (StartColumn> 90)) then return   ' dont fire at boss time
        If Fired = true Then return
            If ButtonA = 0 Then  return 
		' have we pressed button a?
                If FacingRight = true Then ShotDirection = 1 else ShotDirection = 2
                 
                rem SoundSelect0 = 0
                rem SoundSelect1 = 1
                rem SoundSelect2 = 0
                rem SoundEnable = 1
                rem SoundEnable = 0    
				rem play mtest1
				temp = 1
				gosub init_sound

                Fired = true
                BulletX = PlayerX + StartColumn - 1
                BulletY = PlayerY
   
End 

UpdateBullet: procedure
    If PlayGame = 0 Then return
        If Fired = false Then return
            If ShotDelay <> 0 Then ShotDelay = ShotDelay -1 : return
               
            rem Else
                ShotDelay = 5
                If ShotDirection = 2 Then   goto ub_20
		    ' the bullet is going right
                    #TempData = #LevelBuffer(((BulletX + 1) * 8) + (7 - BulletY))        ' this is to the right of the bullet       
                    If #TempData >= 0  Then  BulletX = BulletX + 1 else ShotDirection = 2 : temp = righthit : gosub init_sound_lp ' > 0 means there's no wall next to us! 
                    If BulletX > StartColumn + 8 Then Fired = false
		    return
                        
ub_20:
                    ' the bullet is going left
                    #TempData = #LevelBuffer(((BulletX - 1) * 8) + (7 - BulletY))        ' this is to the left of the bullet       
                    If #TempData >= 0 Then  BulletX = BulletX - 1 else ShotDirection = 1   : temp = lefthit : gosub init_sound_lp '> 0 means there's no wall next to us!
                    
                    If (BulletX < StartColumn - 8) OR (BulletX > 120) Then Fired = false

End

CheckIfShotBadGuy: procedure
    If PlayGame = 0 Then return
        If Fired = false Then return 
            If BulletX = BadGuyX And BulletY = BadGuyY Then  goto cisbg_20 else return
cisbg_20:       
	    if ((IsBossLevel(WhichLevel) > 0 ) and (DoorOpen=0) and (StartColumn> 90)) then return   
            SoundSelect0 = 1
            SoundSelect1 = 0
            SoundSelect2 = 0
            SoundEnable = 1
            SoundEnable = 0
			play mtest2
                #Score = #Score + 8
                Fired = false
                BadGuyX = BadGuyX + 12     'this will move the badguy 12 pixels to the right if we hit him
                BadGuyY = 6
                BadGuyJumpUp = 0
                BadGuyHover = 0
                BadGuyFallDown = 1
                 
End

AddorRemoveCastleDoor: procedure
    If PlayGame = 0 Then return

        If (IsBossLevel(WhichLevel) > 0 ) And EndBossHitCounter > WhichLevel Then goto AORCD_20 else return  ' the door will   get removed if we hit the bad guys more times than the level we are on.           
aorcd_20:
	    for i = 2 to 5
		#LevelBuffer((105 * 8) + i) = 0
           next i
	DoorOpen = 1
	PrevStartColumn = bad_column ' force redraw
   
End ' Sub

CheckIfHitBadGuy: procedure
    If PlayGame = 0 Then return 
    If LostLife = 1 then return
        If PlayerY < 3 Then EndBossHitCounter = 0   ' clear the endbosshitcounter if we hit the ground

        ' this checks to see if the bad guy has been placed inside other pixels, if so, it will move him down until he is out of the walls.
	if (#LevelBuffer( (BadGuyX * 8) + ( 7 - BadGuyY)) < 0) then BadGuyY = BadGuyY - 1
     
        ' this takes care of shifting the bad guy back to the top of screen and one pixel to the right if he falls down a hole.
        If BadGuyY = 0 Then BadGuyY = 6 : BadGuyX = BadGuyX + 1 : BadGuyJumpUp = 0 : BadGuyHover = 0 : BadGuyFallDown = 1
              
        ' this takes care of moving the bad guy 12 pixels to the right, if we happen to get past him without hitting him
        If StartColumn > BadGuyX Then BadGuyY = 6 : BadGuyX = BadGuyX + 12 : BadGuyJumpUp = 0 : BadGuyHover = 0 : BadGuyFallDown = 1
           
        ' this takes care of moving the bad guy 12 pixels to the left, if we happen to get past him without hitting him
        If StartColumn = (BadGuyX - 11) Then BadGuyY = 6 : BadGuyX = BadGuyX - 12 : BadGuyJumpUp = 0 : BadGuyHover = 0 : BadGuyFallDown = 1
          
        ' this takes care of moving the bad guy 12 spaces to the right if we have hit him - it also increases our score
        If (StartColumn + 3) = BadGuyX And BadGuyY = (PlayerY - 1) Then goto cihbg_20  ' +3 is where our player is located and - 1 means the badguy is one pixel under us
		return
        
cihbg_20:
            ' this will make sure that we have an end boss bad guy at the end of the castle levels (the end boss is past column 90)
            If (IsBossLevel(WhichLevel) > 0 )  then goto cihbg_40
		goto cihbg_60
cihbg_40:
		if (StartColumn > 90)  Then EndBossHitCounter = EndBossHitCounter + 1
                If BadGuyX = 97  Then BadGuyX = 101 : goto cihbg_80
                If BadGuyX = 103 Then BadGuyX = 98  : goto cihbg_80
                    
                If BadGuyX = 98  Then BadGuyX = 101 : goto cihbg_80
                     
                If BadGuyX = 101 Then BadGuyX = 99  : goto cihbg_80
                    
                If BadGuyX = 99  Then BadGuyX = 102 : goto cihbg_80
                    
                If BadGuyX = 102 Then BadGuyX = 100 : goto cihbg_80
                    
                If BadGuyX = 100 Then BadGuyX = 103 : goto cihbg_80
				          
               
cihbg_60:
                BadGuyX = BadGuyX + 12     'this will move the badguy 12 pixels to the right if we hit him (and we are not upto the endboss)
cihbg_80:            
            SoundSelect0 = 1
            SoundSelect1 = 0
            SoundSelect2 = 0
            SoundEnable = 1
            SoundEnable = 0
			play mtest2
            
           #Score = #Score + 10
           BadGuyY = 6
           BadGuyJumpUp = 0
           BadGuyHover = 0
           BadGuyFallDown = 1
           JumpUp = 1
           Hover = 0
           FallDown = 0
           JumpUpCounter = 3             ' this is the number of spaces that we can
           JumpDelay = 3
  
End


CheckIfLostLife: procedure
    If PlayGame = 0 Then return
        If LostLife = true Then return   'only do this if we are not in the middle of a lost life sequence
        ' first check to see if we have fallen through a hole.
           If PlayerY > 0 Then goto cll_20
              SoundSelect0 = 1
              SoundSelect1 = 0
              SoundSelect2 = 0
              SoundEnable = 1 
              SoundEnable = 0
			  play mtest3
              ChangeLevel = true      ' we aren't incrementing a level, but we need to set this flag so we can redraw the level
              Lives = Lives - 1
              LostLife = true
              JumpUp = 0
              Hover = 0
              FallDown = 1
              PlayerY = 5          'will fall from the top and start again
              AnimationSpeed = 0 
	      DoorOpen = 0

cll_20:
               
            'then check to see if we have been hit by a jumping bad guy
           If (StartColumn + 3) = BadGuyX And PlayerY = BadGuyY And FallDown = 0 Then  goto cll_40
		return
cll_40:
        ' our player is three pixels in from the first column (we can't get hurt if we are falling i.e. we jump on him)
              SoundSelect0 = 1
              SoundSelect1 = 0
              SoundSelect2 = 0
              SoundEnable = 1 
              SoundEnable = 0
			  play mtest3
              ChangeLevel = true      ' we aren't incrementing a level, but we need to set this flag so we can redraw the level
              Lives = Lives - 1
              LostLife = true
              JumpUp = 0
              Hover = 0
              FallDown = 1
              PlayerY = 5          'will fall from the top and start again
	      DoorOpen = 0

End
	
	

rem inputs, #index, #btadrs
draw_column: procedure
	#dctemp = TitleData(#index*2)
	#dctemp2 = #dctemp /256
	poke #btadrs+ 20   ,tiletable( #dctemp2  / 16)
	poke #btadrs+ 40,tiletable( #dctemp2  AND $0f)
	poke #btadrs+ 60,tiletable( (#dctemp / 16) AND $0f)
	poke #btadrs+ 80,tiletable( #dctemp AND $0f)

	#dctemp = TitleData(#index*2 + 1)
	#dctemp2 = #dctemp /256
	poke #btadrs+100,tiletable( #dctemp2  / 16)
	poke #btadrs+120,tiletable( #dctemp2  AND $0f)
	poke #btadrs+140,tiletable( (#dctemp / 16) AND $0f)
	poke #btadrs+160,tiletable( #dctemp AND $0f)
end




init_sound: procedure
	sound_flags = sound_effects(temp)
	sound_index = temp + 1
	gosub update_sound
end	


init_sound_lp: procedure
	if sound_index > 0 then return
	gosub init_sound
end

update_sound: procedure
	if(sound_index) = 0 then return
	if sound_flags = SF_NOISE then goto is_noise

	rem tone case
	#temp = sound_effects(sound_index)
	vol = #temp/256
	vol = vol/16
	Sound 2, #temp AND $0fff, vol
	if ( vol > 0) then sound_index = sound_index + 1 : return
	sound_index = 0
	return
is_noise:
	rem this is wrong - sb sound 2 for vol, sound 4 for noise?
	#temp = sound_effects(sound_index)
	vol = #temp/256
	vol = vol/16
	Sound 3, #temp AND $0fff, vol
	if ( vol > 0) then sound_index = sound_index + 1 : return
	sound_index = 0
	return

end


tiletable:
	DATA  CS_GRAM + (0 * 8) + X_BLK	' 0 black
	DATA  CS_GRAM + (0 * 8) + X_BLU	' 1 blue
	DATA  CS_GRAM + (0 * 8) + X_GRN	' 2 green
	DATA  CS_GRAM + (0 * 8) + X_CYN	' 3 green + blue = cyan
	DATA  CS_GRAM + (0 * 8) + X_RED	' 4 red
	DATA  CS_GRAM + (0 * 8) + X_PUR	' 5 red + blue = magenta
	DATA  CS_GRAM + (0 * 8) + X_YEL	' 6 red + green = yellow
	DATA  CS_GRAM + (0 * 8) + X_WHT	' white

	DATA  $8000 + CS_GRAM + (0 * 8) + X_BLK	' 0 black
	DATA  $8000 + CS_GRAM + (0 * 8) + X_BLU	' 1 blue
	DATA  $8000 + CS_GRAM + (0 * 8) + X_GRN	' 2 green
	DATA  $8000 + CS_GRAM + (0 * 8) + X_CYN	' 3 green + blue = cyan
	DATA  $8000 + CS_GRAM + (0 * 8) + X_RED	' 4 red
	DATA  $8000 + CS_GRAM + (0 * 8) + X_PUR	' 5 red + blue = magenta
	DATA  $8000 + CS_GRAM + (0 * 8) + X_YEL	' 6 red + green = yellow
	DATA  $8000 + CS_GRAM + (0 * 8) + X_WHT	' white


	


	
gramchars:

REM 0

	BITMAP "........"
	BITMAP "#######."
	BITMAP "#######."
	BITMAP "#######."
	
	BITMAP "#######."
	BITMAP "#######."
	BITMAP "#######."
	BITMAP "#######."
	
REM 1

	BITMAP "########"
	BITMAP "########"
	BITMAP "########"
	BITMAP "########"
	
	BITMAP "########"

	BITMAP "........"
	BITMAP "########"
	BITMAP "########"
	
	
REM 2
	BITMAP "########"
	BITMAP "########"
	BITMAP "........"
	BITMAP "########"
	
	
	BITMAP "########"
	BITMAP "........"
	BITMAP "########"
	BITMAP "########"
	
REM 3

	BITMAP "########"
	BITMAP "##...###"
	BITMAP "#.###.##"
	BITMAP ".##.##.#"
	
	BITMAP ".#...#.#"
	BITMAP ".##.##.#"
	BITMAP "#.###.##"
	BITMAP "##...###"

rem 4
	BITMAP "########"
	BITMAP "########"
	BITMAP "########"
	BITMAP "########"
	
	BITMAP "########"
	BITMAP "#####..."
	BITMAP "#####.##"
	BITMAP "#####.##"

rem 5
	BITMAP "########"
	BITMAP "########"
	BITMAP "########"
	BITMAP "########"
	
	BITMAP "########"
	BITMAP "...#####"
	BITMAP "##.#####"
	BITMAP "##.#####"

REM 6
	BITMAP "#####.##"
	BITMAP "#####.##"
	BITMAP "#####.##"
	BITMAP "#####.##"
	
	BITMAP "#####.##"
	BITMAP "#####.##"
	BITMAP "#####.##"
	BITMAP "#####.##"

REM 7
	BITMAP "##.#####"
	BITMAP "##.#####"
	BITMAP "##.#####"
	BITMAP "##.#####"

	BITMAP "##.#####"
	BITMAP "##.#####"
	BITMAP "##.#####"
	BITMAP "##.#####"

REM 8
	BITMAP "#####.##"
	BITMAP "#####.##"
	BITMAP "#####..."
	BITMAP "########"

	BITMAP "########"
	BITMAP "........"
	BITMAP "########"
	BITMAP "########"

REM 9
	BITMAP "##.#####"
	BITMAP "##.#####"
	BITMAP "...#####"
	BITMAP "########"

	BITMAP "########"
	BITMAP "........"
	BITMAP "########"
	BITMAP "########"
gramchars10:
rem 10
	BITMAP "        "
	
	BITMAP "    ####"
	BITMAP "    # # "
	BITMAP "    # # "
	BITMAP "    # # "
	BITMAP "    # # "
	BITMAP "    ####"
	BITMAP "        "
rem 11
	BITMAP "        "
	
	BITMAP "##      "
	BITMAP "  #     "
	BITMAP "   #    "
	BITMAP "   #    "
	BITMAP "  #     "
	BITMAP "##.     "
	BITMAP "        "


rem music data
coin_sound:	DATA 2       ' Ticks per note (there are 50 ticks per second)
                MUSIC G5,-
  		MUSIC S,S
 		MUSIC G5,G6
                MUSIC S,S
		MUSIC S,S
                MUSIC S,-

                MUSIC STOP

 mtest2:		DATA 2       ' Ticks per note (there are 50 ticks per second)
                MUSIC G5,-
                MUSIC S,-
				
		MUSIC A5,-,-
                MUSIC S,-
				
		MUSIC B5,-,-
                MUSIC S,-
				  
		MUSIC C6,-
                MUSIC S,-

                MUSIC STOP

 mtest3:	DATA 4       ' Ticks per note (there are 50 ticks per second)
                MUSIC G2,G3,-
                MUSIC S,S,-
				
		MUSIC F2,F3,-
                MUSIC S,S,-
				
		MUSIC E2,E3,-
                MUSIC S,S,-

				  
		MUSIC D2,D3,-
                MUSIC S,S,-
		MUSIC S,S,-
		MUSIC S,S,-
				
		MUSIC C2,C4,-
		MUSIC S,S,-
		MUSIC S,S,-
		MUSIC S,S,-


                MUSIC STOP

 level_up:	DATA 4       ' Ticks per note (there are 50 ticks per second)
                MUSIC C3,C4
                MUSIC S,S
		MUSIC S,S
				
		MUSIC C3,C4
                MUSIC S,S

		MUSIC C3,C4
                MUSIC S,S
				
		MUSIC G3,G4
                MUSIC S,S
		 MUSIC S,S
		MUSIC S,S
		MUSIC STOP



				const shot1	=	($00d4)  ' was f0
				const ding1     = $00a0
				const ding1a    = $00c0
				const bsbase    = $0440
				const bstep    = $020

				const shot_step= 20
				

				const svol00		=	($0000)
				const svol01		=	($1000)
				const svol02		=	($2000)
				const svol03		=	($3000)
				const svol04		=	($4000)
				const svol05		=	($5000)
				const svol06		=	($6000)
				const svol07		=	($7000)
				const svol08		=	($8000)
				const svol09		=	($9000)
				const svol10		=	($a000)
				const svol11		=	($b000)
				const svol12		=	($c000)
				const svol13		=	($d000)
				const svol14		=	($e000)
				const svol15		=	($f000)

sound_effects:
			data	0				' 0
shot1_tab:
			data    SF_TONE				' 1
			data	shot1 			        + svol12
			data	shot1+(shot_step * 1)		+ svol10	
			data	shot1+(shot_step * 2)		+ svol08
			
			rem 5
			data	shot1+(shot_step * 3)		+ svol06
			data	shot1+(shot_step * 4)		+ svol05	
			data	shot1+(shot_step * 5)		+ svol04
			data	shot1+(shot_step * 6) 		+ svol02
			data	shot1+(shot_step * 7)		+ svol00

			rem 10
hitblock_tab:		data    SF_tone
			data	240				+ svol07
			data	240				+ svol05
			data	240				+ svol02
			data	240				+ svol00
			
			rem 15
jump_tab:
			data   SF_TONE

			data	bsbase 			+ svol08
			data   bsbase+bstep 		+ svol06
			data   bsbase+(bstep*2) 	+ svol06	
			data   bsbase+bstep 		+ svol06
			rem 20
			data   bsbase			+ svol04
			data   bsbase-bstep		+ svol04
			data   bsbase-(bstep*2)	+ svol04
			data   bsbase-(bstep*3)	+ svol02
			data   bsbase-(bstep*4)	+ svol01
			rem 25
			data   bsbase-(bstep*4)	+ svol00
			data   0,0,0,0
			rem 30
land_tab:
			data	SF_TONE
			data	bsbase 			+ svol06
			data   bsbase+bstep 		+ svol04
			data	bsbase 			+ svol02
			data	0
			data	0,0,0,0,0
			rem     40
hit_left:
			data	SF_TONE
			data	140 			+ svol06
			data   	140 		        + svol04
			data	140 			+ svol02
			data    0
hit_right:		
			data	SF_TONE
			data	160 			+ svol06
			data   	160 		        + svol04
			data	160 			+ svol02
			data    0
			rem 50

ding2_tab:		data	SF_TONE
			data	ding1				+svol12
			data	ding1-2				+svol10
			data	ding1-4			+svol08
			data	ding1-6				+svol06
			data	ding1-8				+svol04
			data	ding1-8				+svol02
			data	ding1-8				+svol02
			data	ding1-8				+svol02
			data	ding1-8				+svol02

			data	ding1a				+svol12
			data	ding1a				+svol10
			data	ding1a				+svol08
			data	ding1a				+svol06
			data	ding1a				+svol04
			data	ding1a				+svol02
			data	ding1a				+svol02
			data	ding1a				+svol02
			data	ding1a				+svol02

			data	ding1				+svol12
			data	ding1				+svol10
			data	ding1				+svol08
			data	ding1				+svol06
			data	ding1				+svol04
			data	ding1				+svol02
			
			data	0






TitleData:
          Data	$0000, $0000 ' 0  
          Data	$0000, $0000 ' 1  
          Data	$0000, $0000 ' 2  
          Data	$0000, $0000 ' 3  
          Data	$0000, $0000 ' 4  
          Data	$0000, $0000 ' 5  
          Data	$0000, $0000 ' 6  
          Data	$0000, $0000 ' 7  
          Data	$0000, $0000 ' 8  
          Data	$0000, $0000 ' 9  
          Data	$0040, $0400 ' 10  
          Data	$0404, $0040 ' 11  
          Data	$0400, $4040 ' 12  
          Data	$0040, $0400 ' 13  
          Data	$0000, $0000 ' 14  
          Data	$0444, $4400 ' 15  
          Data	$0000, $0040 ' 16  
          Data	$0000, $0040 ' 17  
          Data	$0000, $0040 ' 18  
          Data	$0444, $4400 ' 19  
          Data	$0000, $0000 ' 20  
          Data	$0444, $4440 ' 21  
          Data	$0400, $4000 ' 22  
          Data	$0400, $4000 ' 23  
          Data	$0044, $0000 ' 24  
          Data	$0000, $0000 ' 25  
          Data	$0444, $4440 ' 26  
          Data	$0404, $0040 ' 27  
          Data	$0404, $0040 ' 28  
          Data	$0400, $0040 ' 29  
          Data	$0000, $0000 ' 30  
          Data	$0444, $4440 ' 31  
          Data	$0400, $4000 ' 32  
          Data	$0400, $4000 ' 33  
          Data	$0400, $4000 ' 34  
          Data	$0044, $0440 ' 35  
          Data	$0000, $0000 ' 36  
          Data	$0000, $0000 ' 37  
          Data	$0000, $0000 ' 38  
          Data	$0222, $2220 ' 39  
          Data	$0200, $2000 ' 40  
          Data	$0200, $2000 ' 41  
          Data	$0022, $0000 ' 42  
          Data	$0000, $0000 ' 43  
          Data	$0222, $2220 ' 44  
          Data	$0000, $0000 ' 45  
          Data	$0200, $0020 ' 46  
          Data	$0020, $0200 ' 47  
          Data	$0002, $2000 ' 48  
          Data	$0020, $0200 ' 49  
          Data	$0200, $0020 ' 50  
          Data	$0000, $0000 ' 51  
          Data	$0222, $2220 ' 52  
          Data	$0202, $0020 ' 53  
          Data	$0202, $0020 ' 54  
          Data	$0200, $0020 ' 55  
          Data	$0000, $0000 ' 56  
          Data	$0222, $2220 ' 57  
          Data	$0000, $0020 ' 58  
          Data	$0000, $0020 ' 59  
          Data	$0000, $0000 ' 60  
          Data	$0000, $0000 ' 61  
          Data	$0000, $0000 ' 62  
          Data	$0111, $1110 ' 63  
          Data	$0101, $0010 ' 64  
          Data	$0101, $0010 ' 65  
          Data	$0101, $0010 ' 66  
          Data	$0010, $1100 ' 67  
          Data	$0000, $0000 ' 68  
          Data	$0111, $1110 ' 69  
          Data	$0100, $1000 ' 70  
          Data	$0100, $1000 ' 71  
          Data	$0100, $1000 ' 72  
          Data	$0011, $0110 ' 73  
          Data	$0000, $0000 ' 74  
          Data	$0011, $1100 ' 75  
          Data	$0100, $0010 ' 76  
          Data	$0100, $0010 ' 77  
          Data	$0100, $0010 ' 78  
          Data	$0011, $1100 ' 79  
          Data	$0000, $0000 ' 80  
          Data	$0010, $0100 ' 81  
          Data	$0101, $0010 ' 82  
          Data	$0100, $1010 ' 83  
          Data	$0010, $0100 ' 84  
          Data	$0000, $0000 ' 85  
          Data	$0000, $0000 ' 86  
          Data	$0000, $0000 ' 87  
          Data	$0000, $0000 ' 88  
          Data	$0000, $0000 ' 89  
          Data	$0000, $0000 ' 90  
          Data	$0000, $0000 ' 91  
          Data	$0000, $0000 ' 92  
          Data	$0000, $0000 ' 93  
          Data	$0000, $0000 ' 94  
          Data	$0000, $0000 ' 95  
Level1Data:
          Data	$0000, $000a ' 0  
          Data	$0000, $000a ' 1  
          Data	$0700, $000a ' 2  
          Data	$7700, $000a ' 3  
          Data	$0700, $000a ' 4  
          Data	$0000, $000a ' 5  
          Data	$0000, $000a ' 6  
          Data	$0000, $e00a ' 7  
          Data	$0000, $000a ' 8  
          Data	$0000, $e00a ' 9  
          Data	$00e0, $e00a ' 10  
          Data	$0000, $e00a ' 11  
          Data	$0000, $000a ' 12  
          Data	$0000, $000a ' 13  
          Data	$0000, $000a ' 14  
          Data	$0000, $000a ' 15  
          Data	$7000, $0aaa ' 16  
          Data	$7700, $0aaa ' 17  
          Data	$0700, $000a ' 18  
          Data	$0000, $000a ' 19  
          Data	$0000, $000a ' 20  
          Data	$0000, $aaaa ' 21  
          Data	$0000, $aaaa ' 22  
          Data	$0000, $000a ' 23  
          Data	$0000, $000a ' 24  
          Data	$0000, $aaaa ' 25  
          Data	$0000, $aaaa ' 26  
          Data	$0000, $000a ' 27  
          Data	$0000, $000a ' 28  
          Data	$0000, $aaaa ' 29  
          Data	$0000, $aaaa ' 30  
          Data	$0000, $000a ' 31  
          Data	$0000, $000a ' 32  
          Data	$0000, $e00a ' 33  
          Data	$0000, $000a ' 34  
          Data	$0000, $000a ' 35  
          Data	$0700, $000a ' 36  
          Data	$7700, $000a ' 37  
          Data	$7770, $0000 ' 38  
          Data	$0700, $0000 ' 39  
          Data	$0000, $000a ' 40  
          Data	$0000, $0e0a ' 41  
          Data	$0000, $0e0a ' 42  
          Data	$000e, $000a ' 43  
          Data	$000e, $000a ' 44  
          Data	$000e, $000a ' 45  
          Data	$000e, $000a ' 46  
          Data	$0000, $000a ' 47  
          Data	$0000, $000a ' 48  
          Data	$0000, $0000 ' 49  
          Data	$0000, $0000 ' 50  
          Data	$0000, $0000 ' 51  
          Data	$000e, $000a ' 52  
          Data	$000e, $0e0a ' 53  
          Data	$0000, $000a ' 54  
          Data	$0000, $000a ' 55  
          Data	$0700, $e00a ' 56  
          Data	$7700, $e00a ' 57  
          Data	$7700, $000a ' 58  
          Data	$7000, $000a ' 59  
          Data	$0000, $e00a ' 60  
          Data	$0000, $000a ' 61  
          Data	$00e0, $e00a ' 62  
          Data	$0000, $000a ' 63  
          Data	$0000, $e00a ' 64  
          Data	$0000, $000a ' 65  
          Data	$0000, $000a ' 66  
          Data	$00e0, $000a ' 67  
          Data	$00e0, $000a ' 68  
          Data	$0000, $000a ' 69  
          Data	$0000, $000a ' 70  
          Data	$00e0, $e00a ' 71  
          Data	$00e0, $000a ' 72  
          Data	$0000, $000a ' 73  
          Data	$0000, $000a ' 74  
          Data	$0000, $00ea ' 75  
          Data	$0000, $0eea ' 76  
          Data	$0000, $eeea ' 77  
          Data	$0000, $000a ' 78  
          Data	$0000, $eeea ' 79  
          Data	$0000, $0eea ' 80  
          Data	$0700, $00ea ' 81  
          Data	$7700, $000a ' 82  
          Data	$0700, $000a ' 83  
          Data	$0000, $00ea ' 84  
          Data	$0000, $0eea ' 85  
          Data	$0000, $eeea ' 86  
          Data	$0000, $eeea ' 87  
          Data	$0000, $0000 ' 88  
          Data	$0000, $eeea ' 89  
          Data	$0000, $0eea ' 90  
          Data	$0000, $00ea ' 91  
          Data	$0000, $000a ' 92  
          Data	$0000, $0aaa ' 93  
          Data	$0000, $0aaa ' 94  
          Data	$0000, $000a ' 95  
          Data	$0000, $000a ' 96  
          Data	$0000, $e00a ' 97  
          Data	$0000, $e00a ' 98  
          Data	$0000, $000a ' 99  
          Data	$0000, $000a ' 100  
          Data	$0000, $00ea ' 101  
          Data	$0000, $0eea ' 102  
          Data	$0000, $eeea ' 103  
          Data	$000e, $eeea ' 104  
          Data	$0000, $000a ' 105  
          Data	$0000, $000a ' 106  
          Data	$0000, $000a ' 107  
          Data	$0000, $000a ' 108  
          Data	$0000, $000a ' 109  
          Data	$0700, $000a ' 110  
          Data	$7770, $000a ' 111  
          Data	$7770, $000a ' 112  
          Data	$0700, $e66a ' 113  
          Data	$000e, $e66a ' 114  
          Data	$000e, $e00a ' 115  
          Data	$000e, $eeea ' 116  
          Data	$0000, $eeea ' 117  
          Data	$0000, $000a ' 118  
          Data	$0000, $000a ' 119  
Level2Data:
          Data	$9999, $9999 ' 0  
          Data	$0000, $0009 ' 1  
          Data	$0000, $0009 ' 2  
          Data	$0000, $0009 ' 3  
          Data	$0000, $0009 ' 4  
          Data	$0000, $0009 ' 5  
          Data	$0000, $e009 ' 6  
          Data	$9000, $e009 ' 7  
          Data	$9000, $e009 ' 8  
          Data	$9000, $e009 ' 9  
          Data	$9000, $0009 ' 10  
          Data	$9000, $0009 ' 11  
          Data	$9000, $0099 ' 12  
          Data	$9000, $0009 ' 13  
          Data	$9000, $0999 ' 14  
          Data	$9000, $0009 ' 15  
          Data	$9000, $9999 ' 16  
          Data	$9000, $0009 ' 17  
          Data	$9000, $9999 ' 18  
          Data	$9000, $0009 ' 19  
          Data	$9000, $0999 ' 20  
          Data	$9000, $0009 ' 21  
          Data	$9000, $0009 ' 22  
          Data	$9000, $0009 ' 23  
          Data	$9009, $9009 ' 24  
          Data	$9000, $9009 ' 25  
          Data	$9009, $9009 ' 26  
          Data	$9009, $0009 ' 27  
          Data	$9009, $9009 ' 28  
          Data	$9000, $9009 ' 29  
          Data	$9009, $9009 ' 30  
          Data	$9000, $0009 ' 31  
          Data	$9000, $0009 ' 32  
          Data	$9099, $0009 ' 33  
          Data	$9999, $9909 ' 34  
          Data	$9900, $9909 ' 35  
          Data	$9000, $0009 ' 36  
          Data	$9900, $9009 ' 37  
          Data	$9900, $9009 ' 38  
          Data	$9999, $9009 ' 39  
          Data	$9000, $0009 ' 40  
          Data	$9900, $0009 ' 41  
          Data	$9999, $9009 ' 42  
          Data	$9000, $9009 ' 43  
          Data	$9009, $9009 ' 44  
          Data	$9000, $0009 ' 45  
          Data	$9009, $9909 ' 46  
          Data	$9009, $9909 ' 47  
          Data	$9000, $0009 ' 48  
          Data	$9900, $9009 ' 49  
          Data	$9900, $9009 ' 50  
          Data	$9000, $0000 ' 51  
          Data	$9000, $0000 ' 52  
          Data	$9000, $0009 ' 53  
          Data	$9000, $9009 ' 54  
          Data	$9000, $9009 ' 55  
          Data	$9000, $9009 ' 56  
          Data	$9000, $0009 ' 57  
          Data	$9000, $0009 ' 58  
          Data	$9000, $0009 ' 59  
          Data	$9000, $0009 ' 60  
          Data	$9000, $0009 ' 61  
          Data	$9000, $0009 ' 62  
          Data	$9000, $0009 ' 63  
          Data	$9000, $0aa9 ' 64  
          Data	$9000, $0aa9 ' 65  
          Data	$9000, $0009 ' 66  
          Data	$9000, $0009 ' 67  
          Data	$9000, $aaa9 ' 68  
          Data	$9000, $aaa9 ' 69  
          Data	$9000, $0009 ' 70  
          Data	$9000, $0009 ' 71  
          Data	$9000, $0aa9 ' 72  
          Data	$9000, $0aa9 ' 73  
          Data	$9000, $0000 ' 74  
          Data	$9000, $0000 ' 75  
          Data	$9000, $0000 ' 76  
          Data	$9000, $0099 ' 77  
          Data	$9000, $0000 ' 78  
          Data	$9000, $0000 ' 79  
          Data	$9000, $0009 ' 80  
          Data	$9000, $0009 ' 81  
          Data	$9000, $0009 ' 82  
          Data	$9000, $0009 ' 83  
          Data	$9000, $0099 ' 84  
          Data	$0000, $0999 ' 85  
          Data	$0000, $9999 ' 86  
          Data	$0000, $0000 ' 87  
          Data	$0e00, $00e0 ' 88  
          Data	$0000, $0000 ' 89  
          Data	$0000, $9000 ' 90  
          Data	$0000, $9000 ' 91  
          Data	$0000, $9000 ' 92  
          Data	$0000, $9000 ' 93  
          Data	$0000, $9000 ' 94  
          Data	$0000, $0000 ' 95  
          Data	$0000, $0000 ' 96  
          Data	$0e00, $00e0 ' 97  
          Data	$0e00, $00e0 ' 98  
          Data	$0000, $0000 ' 99  
          Data	$0000, $0000 ' 100  
          Data	$9000, $0099 ' 101  
          Data	$9000, $0099 ' 102  
          Data	$9000, $0099 ' 103  
          Data	$9000, $0099 ' 104  
          Data	$9000, $0099 ' 105  
          Data	$9000, $0099 ' 106  
          Data	$9000, $0099 ' 107  
          Data	$9000, $0099 ' 108  
          Data	$9000, $0099 ' 109  
          Data	$9000, $0099 ' 110  
          Data	$9000, $0009 ' 111  
          Data	$9000, $0009 ' 112  
          Data	$9000, $9119 ' 113  
          Data	$9009, $9119 ' 114  
          Data	$9009, $9009 ' 115  
          Data	$9009, $9999 ' 116  
          Data	$9000, $9999 ' 117  
          Data	$9000, $0009 ' 118  
          Data	$9999, $9999 ' 119  
Level3Data:
          Data	$0000, $000e ' 0  
          Data	$7000, $000e ' 1  
          Data	$7700, $000e ' 2  
          Data	$0700, $000e ' 3  
          Data	$0000, $000e ' 4  
          Data	$0000, $000e ' 5  
          Data	$0000, $000e ' 6  
          Data	$0007, $000e ' 7  
          Data	$0077, $000e ' 8  
          Data	$0007, $000e ' 9  
          Data	$0000, $000e ' 10  
          Data	$0000, $0000 ' 11  
          Data	$0000, $00a0 ' 12  
          Data	$0000, $00a6 ' 13  
          Data	$7000, $00a0 ' 14  
          Data	$7000, $0000 ' 15  
          Data	$0000, $0000 ' 16  
          Data	$0000, $0a00 ' 17  
          Data	$00a0, $0a66 ' 18  
          Data	$00a6, $6a66 ' 19  
          Data	$00a6, $6a66 ' 20  
          Data	$00a0, $0a00 ' 21  
          Data	$0000, $0000 ' 22  
          Data	$0000, $00a0 ' 23  
          Data	$0000, $00a6 ' 24  
          Data	$0000, $00a0 ' 25  
          Data	$0000, $a000 ' 26  
          Data	$0000, $a666 ' 27  
          Data	$0000, $a666 ' 28  
          Data	$0000, $a000 ' 29  
          Data	$00a0, $0000 ' 30  
          Data	$00a6, $6666 ' 31  
          Data	$00a6, $6666 ' 32  
          Data	$00a0, $0000 ' 33  
          Data	$0000, $0000 ' 34  
          Data	$0007, $000a ' 35  
          Data	$0077, $000a ' 36  
          Data	$0007, $000a ' 37  
          Data	$0000, $0000 ' 38  
          Data	$0000, $0e00 ' 39  
          Data	$0000, $0e00 ' 40  
          Data	$0000, $0000 ' 41  
          Data	$0000, $0000 ' 42  
          Data	$0000, $000a ' 43  
          Data	$000a, $000a ' 44  
          Data	$000a, $666a ' 45  
          Data	$000a, $000a ' 46  
          Data	$0000, $0000 ' 47  
          Data	$0000, $0000 ' 48  
          Data	$0000, $0000 ' 49  
          Data	$0000, $a000 ' 50  
          Data	$0700, $a666 ' 51  
          Data	$7700, $a000 ' 52  
          Data	$0700, $0000 ' 53  
          Data	$0000, $0000 ' 54  
          Data	$000a, $0000 ' 55  
          Data	$000a, $6666 ' 56  
          Data	$000a, $6666 ' 57  
          Data	$000a, $0000 ' 58  
          Data	$0000, $0000 ' 59  
          Data	$0000, $0000 ' 60  
          Data	$0000, $e000 ' 61  
          Data	$0000, $e000 ' 62  
          Data	$0000, $0000 ' 63  
          Data	$0000, $0000 ' 64  
          Data	$0000, $0000 ' 65  
          Data	$0700, $0e00 ' 66  
          Data	$7700, $0e00 ' 67  
          Data	$7700, $0000 ' 68  
          Data	$7000, $0000 ' 69  
          Data	$0000, $0000 ' 70  
          Data	$0000, $0a00 ' 71  
          Data	$0000, $0a66 ' 72  
          Data	$0000, $0a00 ' 73  
          Data	$0000, $0000 ' 74  
          Data	$0000, $0000 ' 75  
          Data	$000a, $0000 ' 76  
          Data	$000a, $6666 ' 77  
          Data	$000a, $6666 ' 78  
          Data	$000a, $6666 ' 79  
          Data	$000a, $6666 ' 80  
          Data	$000a, $0000 ' 81  
          Data	$0000, $0000 ' 82  
          Data	$0000, $0000 ' 83  
          Data	$0700, $0000 ' 84  
          Data	$7770, $0000 ' 85  
          Data	$7700, $0a00 ' 86  
          Data	$7000, $0a66 ' 87  
          Data	$0000, $0a66 ' 88  
          Data	$0000, $0a00 ' 89  
          Data	$0000, $0000 ' 90  
          Data	$0000, $0000 ' 91  
          Data	$0000, $0000 ' 92  
          Data	$00e0, $0000 ' 93  
          Data	$00e0, $000e ' 94  
          Data	$0000, $000e ' 95  
          Data	$0000, $000e ' 96  
          Data	$0000, $000e ' 97  
          Data	$0000, $000e ' 98  
          Data	$0000, $000e ' 99  
          Data	$0000, $000e ' 100  
          Data	$0000, $0eee ' 101  
          Data	$0000, $0eee ' 102  
          Data	$000e, $eeee ' 103  
          Data	$000e, $eeee ' 104  
          Data	$0000, $000e ' 105  
          Data	$0000, $000e ' 106  
          Data	$0700, $000e ' 107  
          Data	$7770, $000e ' 108  
          Data	$7770, $000e ' 109  
          Data	$0700, $000e ' 110  
          Data	$0000, $000e ' 111  
          Data	$0001, $111e ' 112  
          Data	$0011, $111e ' 113  
          Data	$0110, $111e ' 114  
          Data	$1111, $100e ' 115  
          Data	$0110, $111e ' 116  
          Data	$0011, $111e ' 117  
          Data	$0001, $111e ' 118  
          Data	$0000, $000e ' 119  
Level4Data:
          Data	$9000, $9999 ' 0  
          Data	$9000, $9999 ' 1  
          Data	$9000, $0999 ' 2  
          Data	$9000, $0099 ' 3  
          Data	$9900, $0009 ' 4  
          Data	$9900, $0009 ' 5  
          Data	$9900, $0009 ' 6  
          Data	$9900, $0009 ' 7  
          Data	$9900, $0009 ' 8  
          Data	$9900, $0004 ' 9  
          Data	$9900, $0004 ' 10  
          Data	$9900, $0009 ' 11  
          Data	$9900, $0009 ' 12  
          Data	$9900, $0009 ' 13  
          Data	$9900, $0009 ' 14  
          Data	$9900, $0009 ' 15  
          Data	$9990, $0009 ' 16  
          Data	$9000, $0009 ' 17  
          Data	$9000, $0009 ' 18  
          Data	$9000, $0004 ' 19  
          Data	$9000, $0004 ' 20  
          Data	$9000, $0009 ' 21  
          Data	$9000, $0009 ' 22  
          Data	$9000, $0009 ' 23  
          Data	$9000, $0009 ' 24  
          Data	$9000, $0004 ' 25  
          Data	$9000, $0004 ' 26  
          Data	$99e0, $0999 ' 27  
          Data	$9900, $0999 ' 28  
          Data	$9900, $0999 ' 29  
          Data	$9900, $0999 ' 30  
          Data	$9900, $0999 ' 31  
          Data	$9900, $0999 ' 32  
          Data	$9900, $0999 ' 33  
          Data	$9900, $0999 ' 34  
          Data	$99e0, $0999 ' 35  
          Data	$9900, $0999 ' 36  
          Data	$9900, $0999 ' 37  
          Data	$9900, $0999 ' 38  
          Data	$9900, $0999 ' 39  
          Data	$9900, $0999 ' 40  
          Data	$99e0, $0999 ' 41  
          Data	$9900, $0999 ' 42  
          Data	$9900, $0999 ' 43  
          Data	$9900, $0999 ' 44  
          Data	$9900, $0999 ' 45  
          Data	$9900, $0999 ' 46  
          Data	$9900, $0999 ' 47  
          Data	$9900, $0999 ' 48  
          Data	$99e0, $0999 ' 49  
          Data	$9900, $0999 ' 50  
          Data	$9900, $0999 ' 51  
          Data	$9900, $0999 ' 52  
          Data	$9900, $0999 ' 53  
          Data	$9000, $0009 ' 54  
          Data	$9000, $0009 ' 55  
          Data	$9000, $00e9 ' 56  
          Data	$9000, $0009 ' 57  
          Data	$9000, $0009 ' 58  
          Data	$99e0, $0009 ' 59  
          Data	$9000, $0009 ' 60  
          Data	$9000, $0009 ' 61  
          Data	$9000, $0009 ' 62  
          Data	$9000, $00e9 ' 63  
          Data	$9000, $0009 ' 64  
          Data	$9000, $0009 ' 65  
          Data	$99e0, $0009 ' 66  
          Data	$9000, $0009 ' 67  
          Data	$9000, $0009 ' 68  
          Data	$9000, $0009 ' 69  
          Data	$9000, $00e9 ' 70  
          Data	$9000, $0009 ' 71  
          Data	$9000, $0009 ' 72  
          Data	$9900, $0009 ' 73  
          Data	$9900, $0009 ' 74  
          Data	$9900, $0009 ' 75  
          Data	$9900, $0009 ' 76  
          Data	$9000, $0009 ' 77  
          Data	$9000, $0009 ' 78  
          Data	$9000, $9009 ' 79  
          Data	$9000, $0009 ' 80  
          Data	$9000, $0009 ' 81  
          Data	$9000, $9009 ' 82  
          Data	$9000, $0009 ' 83  
          Data	$9000, $0009 ' 84  
          Data	$9000, $9009 ' 85  
          Data	$9000, $0009 ' 86  
          Data	$9000, $0009 ' 87  
          Data	$9000, $0999 ' 88  
          Data	$9000, $0999 ' 89  
          Data	$9000, $0999 ' 90  
          Data	$9000, $0009 ' 91  
          Data	$9000, $0009 ' 92  
          Data	$9900, $0999 ' 93  
          Data	$9900, $0999 ' 94  
          Data	$9900, $0999 ' 95  
          Data	$9900, $09f4 ' 96  
          Data	$9000, $00f4 ' 97  
          Data	$0000, $00f4 ' 98  
          Data	$0000, $00f4 ' 99  
          Data	$0000, $00f4 ' 100  
          Data	$0000, $00f4 ' 101  
          Data	$0000, $00f4 ' 102  
          Data	$0000, $00f4 ' 103  
          Data	$0000, $00f4 ' 104  
          Data	$99ee, $ee99 ' 105  
          Data	$9990, $0999 ' 106  
          Data	$9000, $0009 ' 107  
          Data	$9000, $0009 ' 108  
          Data	$9000, $0009 ' 109  
          Data	$9000, $0009 ' 110  
          Data	$9000, $0009 ' 111  
          Data	$9000, $0009 ' 112  
          Data	$9000, $0009 ' 113  
          Data	$9000, $1119 ' 114  
          Data	$9000, $1009 ' 115  
          Data	$9000, $1119 ' 116  
          Data	$9000, $0009 ' 117  
          Data	$9000, $0009 ' 118  
          Data	$9999, $9999 ' 119  



Level5Data:
          Data	$0770, $000a ' 0  
          Data	$7777, $000a ' 1  
          Data	$7770, $000a ' 2  
          Data	$0770, $000a ' 3  
          Data	$0000, $000a ' 4  
          Data	$0000, $000a ' 5  
          Data	$0000, $000a ' 6  
          Data	$0000, $000a ' 7  
          Data	$0000, $e00a ' 8  
          Data	$0000, $e00a ' 9  
          Data	$0000, $000a ' 10  
          Data	$0000, $00ea ' 11  
          Data	$0000, $0eea ' 12  
          Data	$0000, $eeea ' 13  
          Data	$0000, $000a ' 14  
          Data	$0000, $000a ' 15  
          Data	$00e0, $0e0a ' 16  
          Data	$00e0, $000a ' 17  
          Data	$00e0, $000a ' 18  
          Data	$0000, $000a ' 19  
          Data	$0000, $000a ' 20  
          Data	$000e, $eeea ' 21  
          Data	$0000, $0eea ' 22  
          Data	$7000, $000a ' 23  
          Data	$7700, $000a ' 24  
          Data	$7700, $0aaa ' 25  
          Data	$0000, $0aaa ' 26  
          Data	$0000, $000a ' 27  
          Data	$0000, $000a ' 28  
          Data	$0e00, $e00a ' 29  
          Data	$0e00, $e00a ' 30  
          Data	$0e00, $e00a ' 31  
          Data	$0000, $e00a ' 32  
          Data	$0000, $000a ' 33  
          Data	$0000, $000a ' 34  
          Data	$0000, $000a ' 35  
          Data	$0000, $000a ' 36  
          Data	$0000, $e00a ' 37  
          Data	$0e00, $000a ' 38  
          Data	$0e00, $0aaa ' 39  
          Data	$0e00, $0aaa ' 40  
          Data	$0000, $000a ' 41  
          Data	$0000, $000a ' 42  
          Data	$0000, $e00a ' 43  
          Data	$0000, $e00a ' 44  
          Data	$0e00, $e00a ' 45  
          Data	$0e00, $000a ' 46  
          Data	$0e00, $000a ' 47  
          Data	$0e00, $e00a ' 48  
          Data	$0000, $e00a ' 49  
          Data	$0000, $e00a ' 50  
          Data	$0000, $000a ' 51  
          Data	$0e00, $0000 ' 52  
          Data	$0e00, $0000 ' 53  
          Data	$0e00, $000a ' 54  
          Data	$0000, $000a ' 55  
          Data	$0000, $000a ' 56  
          Data	$0000, $aaaa ' 57  
          Data	$0000, $aaaa ' 58  
          Data	$0000, $000a ' 59  
          Data	$0000, $0000 ' 60  
          Data	$0700, $0000 ' 61  
          Data	$7700, $000a ' 62  
          Data	$7700, $0aaa ' 63  
          Data	$7700, $0aaa ' 64  
          Data	$0700, $000a ' 65  
          Data	$0000, $000a ' 66  
          Data	$0000, $aaaa ' 67  
          Data	$0000, $aaaa ' 68  
          Data	$0000, $000a ' 69  
          Data	$0000, $000a ' 70  
          Data	$00e0, $0aaa ' 71  
          Data	$00e0, $0aaa ' 72  
          Data	$0000, $000a ' 73  
          Data	$0000, $000a ' 74  
          Data	$0000, $aaaa ' 75  
          Data	$0000, $aaaa ' 76  
          Data	$0000, $000a ' 77  
          Data	$0000, $0000 ' 78  
          Data	$0000, $0000 ' 79  
          Data	$0000, $000a ' 80  
          Data	$0700, $000a ' 81  
          Data	$7700, $000a ' 82  
          Data	$0700, $000a ' 83  
          Data	$0000, $000a ' 84  
          Data	$0000, $000a ' 85  
          Data	$0000, $0000 ' 86  
          Data	$0000, $0000 ' 87  
          Data	$0000, $eeea ' 88  
          Data	$0000, $000a ' 89  
          Data	$0000, $000a ' 90  
          Data	$000e, $000a ' 91  
          Data	$0000, $000a ' 92  
          Data	$0000, $000a ' 93  
          Data	$00e0, $000a ' 94  
          Data	$00e0, $000a ' 95  
          Data	$0000, $000a ' 96  
          Data	$00e0, $000a ' 97  
          Data	$0000, $0aaa ' 98  
          Data	$0000, $0aaa ' 99  
          Data	$0000, $000a ' 100  
          Data	$0000, $000a ' 101  
          Data	$0000, $e00a ' 102  
          Data	$0000, $000a ' 103  
          Data	$0000, $000a ' 104  
          Data	$0eee, $eeea ' 105  
          Data	$0eee, $eeea ' 106  
          Data	$0000, $000a ' 107  
          Data	$0000, $000a ' 108  
          Data	$0070, $000a ' 109  
          Data	$0770, $000a ' 110  
          Data	$7770, $000a ' 111  
          Data	$7770, $000a ' 112  
          Data	$0700, $666a ' 113  
          Data	$0006, $666a ' 114  
          Data	$0006, $600a ' 115  
          Data	$0006, $666a ' 116  
          Data	$0000, $666a ' 117  
          Data	$0000, $000a ' 118  
          Data	$0000, $000a ' 119  
Level6Data:
          Data	$aaaa, $aaaa ' 0  
          Data	$0000, $000a ' 1  
          Data	$0000, $000a ' 2  
          Data	$0000, $000a ' 3  
          Data	$0000, $000a ' 4  
          Data	$0000, $000a ' 5  
          Data	$0066, $666a ' 6  
          Data	$0000, $000a ' 7  
          Data	$0000, $000a ' 8  
          Data	$0000, $000a ' 9  
          Data	$000a, $000a ' 10  
          Data	$000a, $000a ' 11  
          Data	$0000, $000a ' 12  
          Data	$0000, $000a ' 13  
          Data	$0000, $000a ' 14  
          Data	$0000, $000a ' 15  
          Data	$0000, $000a ' 16  
          Data	$0000, $000a ' 17  
          Data	$0000, $a00a ' 18  
          Data	$0000, $a00a ' 19  
          Data	$0000, $a00a ' 20  
          Data	$0000, $000a ' 21  
          Data	$0000, $000a ' 22  
          Data	$0066, $666a ' 23  
          Data	$0000, $000a ' 24  
          Data	$000a, $000a ' 25  
          Data	$000a, $000a ' 26  
          Data	$000a, $000a ' 27  
          Data	$0000, $000a ' 28  
          Data	$0000, $000a ' 29  
          Data	$0000, $000a ' 30  
          Data	$0000, $000a ' 31  
          Data	$0000, $666a ' 32  
          Data	$0000, $000a ' 33  
          Data	$0000, $000a ' 34  
          Data	$0000, $000a ' 35  
          Data	$0000, $000a ' 36  
          Data	$0000, $000a ' 37  
          Data	$0000, $000a ' 38  
          Data	$0000, $0aaa ' 39  
          Data	$000a, $aaaa ' 40  
          Data	$0000, $0000 ' 41  
          Data	$0000, $0000 ' 42  
          Data	$0000, $0000 ' 43  
          Data	$0000, $0000 ' 44  
          Data	$000a, $aaaa ' 45  
          Data	$0000, $0aaa ' 46  
          Data	$0000, $000a ' 47  
          Data	$0000, $000a ' 48  
          Data	$0000, $000a ' 49  
          Data	$aaa0, $aaaa ' 50  
          Data	$a000, $aaaa ' 51  
          Data	$0000, $000a ' 52  
          Data	$0000, $000a ' 53  
          Data	$00a0, $000a ' 54  
          Data	$00a0, $000a ' 55  
          Data	$00a0, $000a ' 56  
          Data	$0000, $066a ' 57  
          Data	$0000, $000a ' 58  
          Data	$0000, $000a ' 59  
          Data	$0000, $000a ' 60  
          Data	$0000, $000a ' 61  
          Data	$6666, $a00a ' 62  
          Data	$0000, $a00a ' 63  
          Data	$0000, $000a ' 64  
          Data	$0000, $000a ' 65  
          Data	$0000, $000a ' 66  
          Data	$0000, $000a ' 67  
          Data	$0000, $000a ' 68  
          Data	$0000, $000a ' 69  
          Data	$000a, $000a ' 70  
          Data	$000a, $000a ' 71  
          Data	$0000, $000a ' 72  
          Data	$0000, $000a ' 73  
          Data	$0006, $666a ' 74  
          Data	$0000, $000a ' 75  
          Data	$0000, $000a ' 76  
          Data	$0000, $000a ' 77  
          Data	$0000, $000a ' 78  
          Data	$aa00, $aaaa ' 79  
          Data	$0a00, $0aaa ' 80  
          Data	$0a00, $0000 ' 81  
          Data	$0a00, $0000 ' 82  
          Data	$0a00, $000a ' 83  
          Data	$0a00, $0000 ' 84  
          Data	$0a00, $0000 ' 85  
          Data	$0a00, $0aaa ' 86  
          Data	$0a0a, $aaaa ' 87  
          Data	$0000, $000a ' 88  
          Data	$0000, $000a ' 89  
          Data	$0000, $066a ' 90  
          Data	$0000, $000a ' 91  
          Data	$0000, $a00a ' 92  
          Data	$0006, $666a ' 93  
          Data	$0000, $000a ' 94  
          Data	$0000, $000a ' 95  
          Data	$00aa, $aaaa ' 96  
          Data	$00a0, $0000 ' 97  
          Data	$0000, $0000 ' 98  
          Data	$0000, $0000 ' 99  
          Data	$0000, $0000 ' 100  
          Data	$00a0, $0000 ' 101  
          Data	$00aa, $aaaa ' 102  
          Data	$0000, $000a ' 103  
          Data	$0000, $000a ' 104  
          Data	$0a00, $a00a ' 105  
          Data	$0a66, $a00a ' 106  
          Data	$0a00, $a00a ' 107  
          Data	$0a00, $a00a ' 108  
          Data	$0000, $000a ' 109  
          Data	$0000, $000a ' 110  
          Data	$0000, $000a ' 111  
          Data	$0000, $000a ' 112  
          Data	$0005, $555a ' 113  
          Data	$0055, $555a ' 114  
          Data	$0055, $500a ' 115  
          Data	$0055, $555a ' 116  
          Data	$0005, $555a ' 117  
          Data	$0000, $000a ' 118  
          Data	$aaaa, $aaaa ' 119  
Level7Data:
          Data	$0000, $000e ' 0  
          Data	$0000, $000e ' 1  
          Data	$0000, $000e ' 2  
          Data	$0700, $000e ' 3  
          Data	$7700, $0000 ' 4  
          Data	$7707, $00a0 ' 5  
          Data	$0707, $00ae ' 6  
          Data	$0000, $00ae ' 7  
          Data	$0000, $00ae ' 8  
          Data	$0000, $00ae ' 9  
          Data	$0000, $00ae ' 10  
          Data	$0000, $00a0 ' 11  
          Data	$0000, $0000 ' 12  
          Data	$0000, $0000 ' 13  
          Data	$0000, $0000 ' 14  
          Data	$0000, $0eee ' 15  
          Data	$0000, $0a00 ' 16  
          Data	$0000, $0a00 ' 17  
          Data	$0700, $0a00 ' 18  
          Data	$7700, $0a00 ' 19  
          Data	$7700, $0a00 ' 20  
          Data	$0700, $0a00 ' 21  
          Data	$0000, $0a00 ' 22  
          Data	$0000, $0eee ' 23  
          Data	$0000, $0a00 ' 24  
          Data	$0000, $0a00 ' 25  
          Data	$0000, $0a00 ' 26  
          Data	$0000, $0a00 ' 27  
          Data	$0000, $0a00 ' 28  
          Data	$0000, $0a00 ' 29  
          Data	$0000, $0a00 ' 30  
          Data	$0000, $0eee ' 31  
          Data	$0000, $0000 ' 32  
          Data	$0700, $0000 ' 33  
          Data	$7770, $0000 ' 34  
          Data	$7700, $0eee ' 35  
          Data	$7700, $0a00 ' 36  
          Data	$0700, $0a00 ' 37  
          Data	$0000, $0a00 ' 38  
          Data	$0000, $0eee ' 39  
          Data	$0000, $0000 ' 40  
          Data	$0000, $0000 ' 41  
          Data	$0000, $0000 ' 42  
          Data	$0000, $0000 ' 43  
          Data	$0000, $0eee ' 44  
          Data	$0000, $0a00 ' 45  
          Data	$0000, $0a00 ' 46  
          Data	$0000, $0a00 ' 47  
          Data	$0000, $0a00 ' 48  
          Data	$0000, $0a00 ' 49  
          Data	$0000, $0eee ' 50  
          Data	$0000, $0000 ' 51  
          Data	$0000, $0000 ' 52  
          Data	$0000, $0000 ' 53  
          Data	$0000, $0000 ' 54  
          Data	$0700, $00a0 ' 55  
          Data	$0770, $00ae ' 56  
          Data	$7777, $00ae ' 57  
          Data	$0770, $00ae ' 58  
          Data	$0070, $00ae ' 59  
          Data	$0000, $00a0 ' 60  
          Data	$0000, $0000 ' 61  
          Data	$0000, $0000 ' 62  
          Data	$0000, $0000 ' 63  
          Data	$0000, $0eee ' 64  
          Data	$0000, $0a00 ' 65  
          Data	$0000, $0a00 ' 66  
          Data	$0000, $0a00 ' 67  
          Data	$0000, $0a00 ' 68  
          Data	$0000, $0a00 ' 69  
          Data	$0000, $0a00 ' 70  
          Data	$0000, $0eee ' 71  
          Data	$0000, $0000 ' 72  
          Data	$0000, $0000 ' 73  
          Data	$0000, $0000 ' 74  
          Data	$0000, $00ee ' 75  
          Data	$0000, $00a0 ' 76  
          Data	$0000, $00a0 ' 77  
          Data	$0700, $00a0 ' 78  
          Data	$7700, $00a0 ' 79  
          Data	$0700, $00ee ' 80  
          Data	$0000, $0000 ' 81  
          Data	$0000, $0000 ' 82  
          Data	$0000, $0000 ' 83  
          Data	$0000, $e000 ' 84  
          Data	$0000, $e000 ' 85  
          Data	$0000, $0000 ' 86  
          Data	$0000, $0000 ' 87  
          Data	$0000, $0000 ' 88  
          Data	$0000, $0000 ' 89  
          Data	$0000, $e000 ' 90  
          Data	$0000, $e000 ' 91  
          Data	$0000, $0000 ' 92  
          Data	$0000, $00a0 ' 93  
          Data	$0000, $00ae ' 94  
          Data	$0000, $00ae ' 95  
          Data	$0070, $00ae ' 96  
          Data	$0770, $00ae ' 97  
          Data	$7770, $00ae ' 98  
          Data	$0770, $00a0 ' 99  
          Data	$0070, $0000 ' 100  
          Data	$0000, $0000 ' 101  
          Data	$0000, $00ee ' 102  
          Data	$0000, $0eee ' 103  
          Data	$0000, $eeee ' 104  
          Data	$000e, $eeee ' 105  
          Data	$00ee, $eeee ' 106  
          Data	$00ee, $eeee ' 107  
          Data	$0000, $000e ' 108  
          Data	$0700, $000e ' 109  
          Data	$7700, $000e ' 110  
          Data	$0700, $000e ' 111  
          Data	$0666, $666e ' 112  
          Data	$0660, $666e ' 113  
          Data	$0066, $666e ' 114  
          Data	$0666, $600e ' 115  
          Data	$0066, $666e ' 116  
          Data	$0660, $666e ' 117  
          Data	$0666, $666e ' 118  
          Data	$0000, $000e ' 119  
Level8Data:
          Data	$9999, $9999 ' 0  
          Data	$9999, $9999 ' 1  
          Data	$9909, $9999 ' 2  
          Data	$9900, $9999 ' 3  
          Data	$9900, $0999 ' 4  
          Data	$9900, $0099 ' 5  
          Data	$9900, $0099 ' 6  
          Data	$9900, $0099 ' 7  
          Data	$9900, $0099 ' 8  
          Data	$9900, $0099 ' 9  
          Data	$9900, $0099 ' 10  
          Data	$9900, $0999 ' 11  
          Data	$0000, $0099 ' 12  
          Data	$0000, $0004 ' 13  
          Data	$0000, $9004 ' 14  
          Data	$0000, $9004 ' 15  
          Data	$0000, $0004 ' 16  
          Data	$0009, $0004 ' 17  
          Data	$0e09, $0004 ' 18  
          Data	$0000, $0004 ' 19  
          Data	$0000, $0904 ' 20  
          Data	$0000, $0904 ' 21  
          Data	$0000, $0004 ' 22  
          Data	$0000, $0999 ' 23  
          Data	$9900, $0999 ' 24  
          Data	$9900, $0009 ' 25  
          Data	$9900, $0009 ' 26  
          Data	$9900, $9009 ' 27  
          Data	$9900, $9009 ' 28  
          Data	$9900, $9009 ' 29  
          Data	$9900, $9009 ' 30  
          Data	$9900, $9009 ' 31  
          Data	$9900, $900e ' 32  
          Data	$9900, $9009 ' 33  
          Data	$9900, $9009 ' 34  
          Data	$9900, $9009 ' 35  
          Data	$9900, $9009 ' 36  
          Data	$9900, $0009 ' 37  
          Data	$9900, $0099 ' 38  
          Data	$9900, $0009 ' 39  
          Data	$9900, $9009 ' 40  
          Data	$9900, $9009 ' 41  
          Data	$9e00, $900e ' 42  
          Data	$9900, $9009 ' 43  
          Data	$9900, $9009 ' 44  
          Data	$9900, $9009 ' 45  
          Data	$9900, $e009 ' 46  
          Data	$9900, $9009 ' 47  
          Data	$9900, $9009 ' 48  
          Data	$9900, $0009 ' 49  
          Data	$9900, $0099 ' 50  
          Data	$9900, $000e ' 51  
          Data	$9900, $9009 ' 52  
          Data	$9900, $9009 ' 53  
          Data	$9900, $e009 ' 54  
          Data	$9000, $0009 ' 55  
          Data	$9000, $0009 ' 56  
          Data	$9000, $0009 ' 57  
          Data	$9000, $0009 ' 58  
          Data	$9000, $9999 ' 59  
          Data	$9e00, $9999 ' 60  
          Data	$0000, $0999 ' 61  
          Data	$0000, $0000 ' 62  
          Data	$00e0, $0000 ' 63  
          Data	$00e0, $0000 ' 64  
          Data	$0000, $0000 ' 65  
          Data	$0000, $000e ' 66  
          Data	$0000, $0000 ' 67  
          Data	$0000, $0000 ' 68  
          Data	$9900, $0099 ' 69  
          Data	$9900, $0999 ' 70  
          Data	$9900, $0999 ' 71  
          Data	$9900, $0999 ' 72  
          Data	$9900, $0999 ' 73  
          Data	$9000, $0009 ' 74  
          Data	$9000, $0009 ' 75  
          Data	$9000, $0009 ' 76  
          Data	$9000, $0e09 ' 77  
          Data	$9000, $0009 ' 78  
          Data	$9000, $0009 ' 79  
          Data	$9000, $0999 ' 80  
          Data	$9000, $0004 ' 81  
          Data	$9000, $0004 ' 82  
          Data	$9000, $0999 ' 83  
          Data	$9000, $0999 ' 84  
          Data	$9000, $0004 ' 85  
          Data	$9000, $0004 ' 86  
          Data	$9990, $0099 ' 87  
          Data	$9990, $0999 ' 88  
          Data	$9990, $0999 ' 89  
          Data	$9990, $0009 ' 90  
          Data	$9990, $0999 ' 91  
          Data	$9990, $0999 ' 92  
          Data	$9900, $0999 ' 93  
          Data	$9900, $0999 ' 94  
          Data	$9900, $0999 ' 95  
          Data	$9900, $09f4 ' 96  
          Data	$9000, $00f4 ' 97  
          Data	$0000, $00f4 ' 98  
          Data	$0000, $00f4 ' 99  
          Data	$0000, $00f4 ' 100  
          Data	$0000, $00f4 ' 101  
          Data	$0000, $00f4 ' 102  
          Data	$0000, $00f4 ' 103  
          Data	$0000, $00f4 ' 104  
          Data	$99ee, $ee99 ' 105  
          Data	$9990, $0999 ' 106  
          Data	$9000, $0009 ' 107  
          Data	$9000, $0009 ' 108  
          Data	$9000, $0009 ' 109  
          Data	$9000, $0009 ' 110  
          Data	$9000, $0009 ' 111  
          Data	$9000, $0009 ' 112  
          Data	$9000, $0009 ' 113  
          Data	$9000, $1119 ' 114  
          Data	$9000, $1009 ' 115  
          Data	$9000, $1119 ' 116  
          Data	$9000, $0009 ' 117  
          Data	$9000, $0009 ' 118  
          Data	$9999, $9999 ' 119  

	  
Level9Data:
          Data	$0000, $000e ' 0  
          Data	$0000, $000e ' 1  
          Data	$0000, $000e ' 2  
          Data	$0700, $000e ' 3  
          Data	$7700, $000e ' 4  
          Data	$0700, $000e ' 5  
          Data	$0000, $000e ' 6  
          Data	$0000, $000e ' 7  
          Data	$0000, $e00e ' 8  
          Data	$0000, $000e ' 9  
          Data	$000e, $000e ' 10  
          Data	$0000, $000e ' 11  
          Data	$000e, $000e ' 12  
          Data	$0000, $000e ' 13  
          Data	$0000, $e00e ' 14  
          Data	$0000, $e00e ' 15  
          Data	$0000, $000e ' 16  
          Data	$0700, $000e ' 17  
          Data	$7700, $0ffe ' 18  
          Data	$7000, $0ffe ' 19  
          Data	$0000, $000e ' 20  
          Data	$0000, $000e ' 21  
          Data	$0000, $fffe ' 22  
          Data	$0000, $fffe ' 23  
          Data	$0000, $0000 ' 24  
          Data	$0000, $0000 ' 25  
          Data	$0000, $000e ' 26  
          Data	$0700, $000e ' 27  
          Data	$7770, $000e ' 28  
          Data	$0770, $000e ' 29  
          Data	$0070, $000e ' 30  
          Data	$0000, $000e ' 31  
          Data	$0000, $0ffe ' 32  
          Data	$0000, $0ffe ' 33  
          Data	$0000, $000e ' 34  
          Data	$0000, $000e ' 35  
          Data	$0700, $0ffe ' 36  
          Data	$7700, $0ffe ' 37  
          Data	$0700, $000e ' 38  
          Data	$0000, $00ae ' 39  
          Data	$0000, $0aae ' 40  
          Data	$0000, $aaae ' 41  
          Data	$0000, $c033 ' 42  
          Data	$0000, $c033 ' 43  
          Data	$0000, $c033 ' 44  
          Data	$0e00, $c033 ' 45  
          Data	$0000, $c033 ' 46  
          Data	$0000, $aaae ' 47  
          Data	$0000, $0033 ' 48  
          Data	$0000, $0033 ' 49  
          Data	$0e00, $aaae ' 50  
          Data	$0e00, $0aae ' 51  
          Data	$0000, $000e ' 52  
          Data	$0000, $000e ' 53  
          Data	$0000, $000e ' 54  
          Data	$0000, $000e ' 55  
          Data	$0700, $000e ' 56  
          Data	$7700, $000e ' 57  
          Data	$0700, $fffe ' 58  
          Data	$0000, $fffe ' 59  
          Data	$0000, $000e ' 60  
          Data	$0000, $000e ' 61  
          Data	$0e00, $e00e ' 62  
          Data	$0e00, $e00e ' 63  
          Data	$0e00, $e00e ' 64  
          Data	$0e00, $e00e ' 65  
          Data	$0e00, $e00e ' 66  
          Data	$0000, $000e ' 67  
          Data	$0000, $000e ' 68  
          Data	$0000, $000e ' 69  
          Data	$0000, $000e ' 70  
          Data	$0e00, $e000 ' 71  
          Data	$0e00, $e000 ' 72  
          Data	$0000, $000e ' 73  
          Data	$0000, $000e ' 74  
          Data	$7000, $00ae ' 75  
          Data	$7700, $0aae ' 76  
          Data	$7000, $aaae ' 77  
          Data	$000a, $aaae ' 78  
          Data	$0000, $0000 ' 79  
          Data	$0000, $0000 ' 80  
          Data	$0000, $000e ' 81  
          Data	$0000, $000e ' 82  
          Data	$0e00, $e00e ' 83  
          Data	$0e00, $e00e ' 84  
          Data	$0000, $000e ' 85  
          Data	$0000, $000e ' 86  
          Data	$0e00, $e00e ' 87  
          Data	$0e00, $e00e ' 88  
          Data	$0000, $000e ' 89  
          Data	$0000, $000e ' 90  
          Data	$0000, $e00e ' 91  
          Data	$0000, $e00e ' 92  
          Data	$0000, $e00e ' 93  
          Data	$0000, $000e ' 94  
          Data	$0000, $000e ' 95  
          Data	$0000, $0aae ' 96  
          Data	$000a, $aaae ' 97  
          Data	$0000, $0000 ' 98  
          Data	$0000, $0000 ' 99  
          Data	$0000, $00ae ' 100  
          Data	$0000, $0aae ' 101  
          Data	$0000, $aaae ' 102  
          Data	$000a, $aaae ' 103  
          Data	$00aa, $aaae ' 104  
          Data	$0000, $000e ' 105  
          Data	$0000, $000e ' 106  
          Data	$0000, $000e ' 107  
          Data	$0770, $000e ' 108  
          Data	$7777, $000e ' 109  
          Data	$0770, $000e ' 110  
          Data	$0700, $000e ' 111  
          Data	$0000, $000e ' 112  
          Data	$0004, $444e ' 113  
          Data	$0040, $444e ' 114  
          Data	$0044, $400e ' 115  
          Data	$0040, $444e ' 116  
          Data	$0704, $444e ' 117  
          Data	$7700, $000e ' 118  
          Data	$7000, $000e ' 119  
Level10Data:
          Data	$0000, $000e ' 0  
          Data	$0000, $000e ' 1  
          Data	$0000, $000e ' 2  
          Data	$0000, $000e ' 3  
          Data	$0000, $000e ' 4  
          Data	$0000, $000e ' 5  
          Data	$0070, $000e ' 6  
          Data	$0770, $000e ' 7  
          Data	$7777, $000e ' 8  
          Data	$7777, $000e ' 9  
          Data	$0777, $000e ' 10  
          Data	$0070, $000e ' 11  
          Data	$0000, $000e ' 12  
          Data	$0000, $000e ' 13  
          Data	$0000, $000e ' 14  
          Data	$0700, $000e ' 15  
          Data	$7700, $000e ' 16  
          Data	$0700, $000e ' 17  
          Data	$0000, $000e ' 18  
          Data	$0070, $000e ' 19  
          Data	$0777, $000e ' 20  
          Data	$0770, $000e ' 21  
          Data	$0070, $000e ' 22  
          Data	$0000, $000e ' 23  
          Data	$0000, $000e ' 24  
          Data	$0000, $000e ' 25  
          Data	$0000, $00ae ' 26  
          Data	$0000, $000e ' 27  
          Data	$0000, $000e ' 28  
          Data	$0000, $000e ' 29  
          Data	$0000, $000e ' 30  
          Data	$0e00, $aaae ' 31  
          Data	$0000, $000e ' 32  
          Data	$0000, $000e ' 33  
          Data	$0000, $000e ' 34  
          Data	$0000, $000e ' 35  
          Data	$0000, $000e ' 36  
          Data	$0000, $000e ' 37  
          Data	$0000, $0aae ' 38  
          Data	$0000, $000e ' 39  
          Data	$0e0e, $000e ' 40  
          Data	$0000, $000e ' 41  
          Data	$0000, $0aae ' 42  
          Data	$0000, $0000 ' 43  
          Data	$0000, $0000 ' 44  
          Data	$0000, $000e ' 45  
          Data	$0000, $000e ' 46  
          Data	$0000, $000e ' 47  
          Data	$0000, $000e ' 48  
          Data	$0000, $000e ' 49  
          Data	$0000, $000e ' 50  
          Data	$0700, $000e ' 51  
          Data	$7700, $000e ' 52  
          Data	$7770, $000e ' 53  
          Data	$0770, $000e ' 54  
          Data	$0700, $000e ' 55  
          Data	$0000, $000e ' 56  
          Data	$0000, $000e ' 57  
          Data	$0000, $000e ' 58  
          Data	$0000, $000e ' 59  
          Data	$0000, $000e ' 60  
          Data	$0070, $000e ' 61  
          Data	$0077, $000e ' 62  
          Data	$0777, $000e ' 63  
          Data	$0077, $000e ' 64  
          Data	$0000, $0000 ' 65  
          Data	$0000, $0000 ' 66  
          Data	$0000, $000e ' 67  
          Data	$000e, $00ae ' 68  
          Data	$0000, $000e ' 69  
          Data	$0000, $0000 ' 70  
          Data	$0000, $0000 ' 71  
          Data	$0000, $000e ' 72  
          Data	$0000, $000e ' 73  
          Data	$0000, $000e ' 74  
          Data	$0000, $000e ' 75  
          Data	$0000, $000e ' 76  
          Data	$0007, $000e ' 77  
          Data	$0077, $700e ' 78  
          Data	$0777, $700e ' 79  
          Data	$0077, $700e ' 80  
          Data	$0007, $000e ' 81  
          Data	$0000, $000e ' 82  
          Data	$0000, $000e ' 83  
          Data	$0000, $000e ' 84  
          Data	$0000, $000e ' 85  
          Data	$0000, $000e ' 86  
          Data	$0000, $000e ' 87  
          Data	$0000, $000e ' 88  
          Data	$0000, $000e ' 89  
          Data	$0000, $000e ' 90  
          Data	$0000, $fffe ' 91  
          Data	$0000, $fffe ' 92  
          Data	$0000, $000e ' 93  
          Data	$0000, $000e ' 94  
          Data	$0000, $000e ' 95  
          Data	$0000, $000e ' 96  
          Data	$0700, $000e ' 97  
          Data	$7700, $000e ' 98  
          Data	$0700, $000e ' 99  
          Data	$0000, $000e ' 100  
          Data	$0000, $000e ' 101  
          Data	$0000, $00ae ' 102  
          Data	$0000, $0aae ' 103  
          Data	$0000, $aaae ' 104  
          Data	$000a, $aaae ' 105  
          Data	$00aa, $aaae ' 106  
          Data	$00aa, $aaae ' 107  
          Data	$0000, $000e ' 108  
          Data	$0000, $000e ' 109  
          Data	$0000, $000e ' 110  
          Data	$0000, $000e ' 111  
          Data	$0700, $000e ' 112  
          Data	$7700, $444e ' 113  
          Data	$7774, $444e ' 114  
          Data	$0704, $400e ' 115  
          Data	$0004, $444e ' 116  
          Data	$0000, $444e ' 117  
          Data	$0000, $000e ' 118  
          Data	$0000, $000e ' 119
		  
		   ASM ORG $D000  
Level11Data:
          Data	$0000, $000e ' 0  
          Data	$0000, $000e ' 1  
          Data	$0000, $000e ' 2  
          Data	$0000, $000e ' 3  
          Data	$0070, $000e ' 4  
          Data	$0777, $000e ' 5  
          Data	$0777, $000e ' 6  
          Data	$0777, $000e ' 7  
          Data	$0070, $000e ' 8  
          Data	$0000, $000e ' 9  
          Data	$0000, $000e ' 10  
          Data	$0000, $0000 ' 11  
          Data	$0000, $0000 ' 12  
          Data	$0000, $0a00 ' 13  
          Data	$0000, $0a66 ' 14  
          Data	$0000, $0a66 ' 15  
          Data	$000a, $0a00 ' 16  
          Data	$000a, $6666 ' 17  
          Data	$000a, $6666 ' 18  
          Data	$000a, $6666 ' 19  
          Data	$000a, $0000 ' 20  
          Data	$0000, $0000 ' 21  
          Data	$0000, $00a0 ' 22  
          Data	$0000, $00a6 ' 23  
          Data	$0000, $00a0 ' 24  
          Data	$0000, $0000 ' 25  
          Data	$0700, $00a0 ' 26  
          Data	$7700, $00a6 ' 27  
          Data	$7700, $00a6 ' 28  
          Data	$7000, $00a6 ' 29  
          Data	$0000, $00a6 ' 30  
          Data	$0000, $00a0 ' 31  
          Data	$0000, $a000 ' 32  
          Data	$0000, $a666 ' 33  
          Data	$0000, $a666 ' 34  
          Data	$0000, $a0a0 ' 35  
          Data	$00a0, $00a6 ' 36  
          Data	$00a6, $66a6 ' 37  
          Data	$00a6, $66a6 ' 38  
          Data	$00a0, $00a6 ' 39  
          Data	$0000, $00a0 ' 40  
          Data	$0a00, $0000 ' 41  
          Data	$0a66, $6666 ' 42  
          Data	$0a00, $0000 ' 43  
          Data	$0000, $0000 ' 44  
          Data	$0000, $0000 ' 45  
          Data	$0000, $0000 ' 46  
          Data	$00a0, $00a0 ' 47  
          Data	$00a6, $66a6 ' 48  
          Data	$00a0, $00a6 ' 49  
          Data	$0000, $00a6 ' 50  
          Data	$0000, $00a6 ' 51  
          Data	$0000, $00a6 ' 52  
          Data	$00a0, $00a6 ' 53  
          Data	$00a6, $66a6 ' 54  
          Data	$00a0, $00a6 ' 55  
          Data	$0000, $00a6 ' 56  
          Data	$0000, $00a6 ' 57  
          Data	$0000, $00a0 ' 58  
          Data	$0000, $0000 ' 59  
          Data	$0000, $0000 ' 60  
          Data	$0000, $0a00 ' 61  
          Data	$0000, $0a66 ' 62  
          Data	$0000, $0a66 ' 63  
          Data	$0070, $0a00 ' 64  
          Data	$0770, $0000 ' 65  
          Data	$7770, $0000 ' 66  
          Data	$7770, $0000 ' 67  
          Data	$0770, $0e00 ' 68  
          Data	$0000, $0000 ' 69  
          Data	$0000, $0000 ' 70  
          Data	$0000, $a000 ' 71  
          Data	$0000, $a666 ' 72  
          Data	$0000, $a000 ' 73  
          Data	$0000, $0000 ' 74  
          Data	$0000, $0000 ' 75  
          Data	$00a0, $0000 ' 76  
          Data	$00a6, $6666 ' 77  
          Data	$00a6, $6666 ' 78  
          Data	$00a0, $00a0 ' 79  
          Data	$0000, $a0a6 ' 80  
          Data	$0000, $a6a6 ' 81  
          Data	$0000, $a0a6 ' 82  
          Data	$0000, $00a0 ' 83  
          Data	$0000, $0000 ' 84  
          Data	$0700, $0000 ' 85  
          Data	$7700, $00a0 ' 86  
          Data	$7700, $00a6 ' 87  
          Data	$0700, $a0a0 ' 88  
          Data	$0000, $a666 ' 89  
          Data	$0000, $a666 ' 90  
          Data	$0000, $a666 ' 91  
          Data	$0000, $a666 ' 92  
          Data	$0000, $a666 ' 93  
          Data	$0000, $a666 ' 94  
          Data	$0000, $a000 ' 95  
          Data	$0000, $0000 ' 96  
          Data	$0000, $0000 ' 97  
          Data	$0000, $0000 ' 98  
          Data	$0070, $0000 ' 99  
          Data	$0070, $0000 ' 100  
          Data	$0777, $000e ' 101  
          Data	$7777, $0000 ' 102  
          Data	$7777, $0000 ' 103  
          Data	$0770, $0000 ' 104  
          Data	$0070, $000e ' 105  
          Data	$0000, $000e ' 106  
          Data	$0000, $000e ' 107  
          Data	$0000, $000e ' 108  
          Data	$0000, $000e ' 109  
          Data	$0000, $000e ' 110  
          Data	$0000, $000e ' 111  
          Data	$0011, $111e ' 112  
          Data	$0110, $111e ' 113  
          Data	$0111, $111e ' 114  
          Data	$0011, $100e ' 115  
          Data	$0111, $111e ' 116  
          Data	$0110, $111e ' 117  
          Data	$0011, $111e ' 118  
          Data	$0000, $000e ' 119  
Level12Data:
          Data	$9999, $9999 ' 0  
          Data	$9000, $9999 ' 1  
          Data	$9000, $9999 ' 2  
          Data	$9000, $0999 ' 3  
          Data	$9000, $0099 ' 4  
          Data	$9000, $0009 ' 5  
          Data	$9000, $0009 ' 6  
          Data	$9000, $0009 ' 7  
          Data	$9000, $0009 ' 8  
          Data	$9000, $0009 ' 9  
          Data	$9000, $0009 ' 10  
          Data	$9000, $0009 ' 11  
          Data	$9000, $0004 ' 12  
          Data	$9000, $0999 ' 13  
          Data	$9000, $0004 ' 14  
          Data	$9000, $0099 ' 15  
          Data	$9000, $0004 ' 16  
          Data	$9000, $0999 ' 17  
          Data	$9000, $0004 ' 18  
          Data	$9000, $0099 ' 19  
          Data	$9000, $0004 ' 20  
          Data	$9000, $0999 ' 21  
          Data	$9000, $0004 ' 22  
          Data	$9000, $0099 ' 23  
          Data	$9000, $0004 ' 24  
          Data	$9900, $0009 ' 25  
          Data	$9900, $0009 ' 26  
          Data	$9900, $0009 ' 27  
          Data	$9900, $0009 ' 28  
          Data	$9900, $0009 ' 29  
          Data	$9900, $0009 ' 30  
          Data	$9900, $e009 ' 31  
          Data	$9900, $e009 ' 32  
          Data	$9900, $e009 ' 33  
          Data	$9900, $0009 ' 34  
          Data	$9000, $0004 ' 35  
          Data	$9000, $0004 ' 36  
          Data	$9000, $0009 ' 37  
          Data	$9000, $0009 ' 38  
          Data	$9000, $0009 ' 39  
          Data	$9900, $0099 ' 40  
          Data	$9900, $0e99 ' 41  
          Data	$9900, $0099 ' 42  
          Data	$9000, $0009 ' 43  
          Data	$9000, $0009 ' 44  
          Data	$9000, $0009 ' 45  
          Data	$9000, $0009 ' 46  
          Data	$9900, $0099 ' 47  
          Data	$99e0, $0099 ' 48  
          Data	$9900, $0099 ' 49  
          Data	$9000, $0009 ' 50  
          Data	$9000, $0009 ' 51  
          Data	$9000, $0009 ' 52  
          Data	$9000, $e004 ' 53  
          Data	$9000, $0004 ' 54  
          Data	$9000, $0009 ' 55  
          Data	$9000, $0009 ' 56  
          Data	$9000, $0009 ' 57  
          Data	$9900, $0099 ' 58  
          Data	$9900, $0e99 ' 59  
          Data	$9900, $0099 ' 60  
          Data	$9000, $0009 ' 61  
          Data	$9000, $0009 ' 62  
          Data	$9000, $0009 ' 63  
          Data	$9000, $0009 ' 64  
          Data	$9000, $0004 ' 65  
          Data	$9000, $0004 ' 66  
          Data	$9900, $0999 ' 67  
          Data	$9900, $9999 ' 68  
          Data	$9900, $9999 ' 69  
          Data	$9900, $0999 ' 70  
          Data	$9000, $0004 ' 71  
          Data	$9000, $0004 ' 72  
          Data	$9000, $0004 ' 73  
          Data	$9000, $0099 ' 74  
          Data	$9000, $0004 ' 75  
          Data	$9000, $0004 ' 76  
          Data	$9000, $0004 ' 77  
          Data	$9000, $0004 ' 78  
          Data	$9000, $0009 ' 79  
          Data	$9000, $0999 ' 80  
          Data	$9000, $0999 ' 81  
          Data	$9000, $0004 ' 82  
          Data	$9000, $0004 ' 83  
          Data	$9000, $0004 ' 84  
          Data	$9900, $0999 ' 85  
          Data	$9900, $0999 ' 86  
          Data	$9900, $0999 ' 87  
          Data	$9900, $0009 ' 88  
          Data	$9900, $0009 ' 89  
          Data	$9900, $0999 ' 90  
          Data	$9900, $0999 ' 91  
          Data	$9900, $0999 ' 92  
          Data	$9900, $0999 ' 93  
          Data	$9900, $0999 ' 94  
          Data	$9900, $0999 ' 95  
          Data	$9900, $09f4 ' 96  
          Data	$9000, $00f4 ' 97  
          Data	$0000, $00f4 ' 98  
          Data	$0000, $00f4 ' 99  
          Data	$0000, $00f4 ' 100  
          Data	$0000, $00f4 ' 101  
          Data	$0000, $00f4 ' 102  
          Data	$0000, $00f4 ' 103  
          Data	$0000, $00f4 ' 104  
          Data	$99ee, $ee99 ' 105  
          Data	$9990, $0999 ' 106  
          Data	$9000, $0009 ' 107  
          Data	$9000, $0009 ' 108  
          Data	$9000, $0009 ' 109  
          Data	$9000, $0009 ' 110  
          Data	$9000, $0009 ' 111  
          Data	$9000, $0009 ' 112  
          Data	$9000, $0009 ' 113  
          Data	$9000, $1119 ' 114  
          Data	$9000, $1009 ' 115  
          Data	$9000, $1119 ' 116  
          Data	$9000, $0009 ' 117  
          Data	$9000, $0009 ' 118  
          Data	$9999, $9999 ' 119  
Level13Data:
          Data	$0000, $000a ' 0  
          Data	$0000, $000a ' 1  
          Data	$0700, $000a ' 2  
          Data	$7770, $000a ' 3  
          Data	$7770, $000a ' 4  
          Data	$7770, $000a ' 5  
          Data	$0700, $000a ' 6  
          Data	$0000, $000a ' 7  
          Data	$0000, $000a ' 8  
          Data	$0000, $000a ' 9  
          Data	$0000, $0aaa ' 10  
          Data	$0000, $0aaa ' 11  
          Data	$0000, $000a ' 12  
          Data	$0e00, $e00a ' 13  
          Data	$0000, $000a ' 14  
          Data	$0000, $000a ' 15  
          Data	$0000, $000a ' 16  
          Data	$0000, $0000 ' 17  
          Data	$0000, $000a ' 18  
          Data	$0000, $000a ' 19  
          Data	$0070, $000a ' 20  
          Data	$0777, $000a ' 21  
          Data	$0777, $000a ' 22  
          Data	$0777, $000a ' 23  
          Data	$0070, $000a ' 24  
          Data	$0000, $000a ' 25  
          Data	$0000, $000a ' 26  
          Data	$0000, $000a ' 27  
          Data	$0000, $000a ' 28  
          Data	$0000, $000a ' 29  
          Data	$0000, $000a ' 30  
          Data	$0e00, $e00a ' 31  
          Data	$0000, $000a ' 32  
          Data	$0e00, $e00a ' 33  
          Data	$0000, $000a ' 34  
          Data	$0000, $000a ' 35  
          Data	$0000, $000a ' 36  
          Data	$0700, $000a ' 37  
          Data	$0770, $000a ' 38  
          Data	$7700, $0000 ' 39  
          Data	$0700, $0000 ' 40  
          Data	$0000, $000a ' 41  
          Data	$0000, $000a ' 42  
          Data	$0000, $000a ' 43  
          Data	$0000, $e00a ' 44  
          Data	$0000, $e00a ' 45  
          Data	$0e00, $e00a ' 46  
          Data	$0000, $000a ' 47  
          Data	$0000, $000a ' 48  
          Data	$0000, $000a ' 49  
          Data	$0000, $000a ' 50  
          Data	$0000, $eeea ' 51  
          Data	$0000, $000a ' 52  
          Data	$0000, $000a ' 53  
          Data	$0700, $000a ' 54  
          Data	$7770, $000a ' 55  
          Data	$7700, $000a ' 56  
          Data	$0700, $000a ' 57  
          Data	$0000, $000a ' 58  
          Data	$0000, $aaaa ' 59  
          Data	$0000, $aaaa ' 60  
          Data	$0000, $000a ' 61  
          Data	$0000, $000a ' 62  
          Data	$0000, $000a ' 63  
          Data	$0000, $000a ' 64  
          Data	$0000, $000a ' 65  
          Data	$0000, $aaaa ' 66  
          Data	$0000, $aaaa ' 67  
          Data	$0000, $000a ' 68  
          Data	$0000, $000a ' 69  
          Data	$0000, $000a ' 70  
          Data	$0000, $000a ' 71  
          Data	$0000, $000a ' 72  
          Data	$0000, $e00a ' 73  
          Data	$0e00, $e00a ' 74  
          Data	$0e00, $e000 ' 75  
          Data	$0e00, $e00a ' 76  
          Data	$0000, $e00a ' 77  
          Data	$0000, $000a ' 78  
          Data	$0000, $000a ' 79  
          Data	$0000, $000a ' 80  
          Data	$0000, $0aaa ' 81  
          Data	$0000, $0aaa ' 82  
          Data	$0000, $000a ' 83  
          Data	$0000, $000a ' 84  
          Data	$0000, $000a ' 85  
          Data	$0000, $000a ' 86  
          Data	$0070, $000a ' 87  
          Data	$0077, $000a ' 88  
          Data	$0777, $0000 ' 89  
          Data	$0770, $0000 ' 90  
          Data	$0070, $000a ' 91  
          Data	$0000, $0000 ' 92  
          Data	$0000, $000a ' 93  
          Data	$0000, $000a ' 94  
          Data	$0000, $000a ' 95  
          Data	$0000, $0eea ' 96  
          Data	$0000, $0000 ' 97  
          Data	$0700, $000a ' 98  
          Data	$7700, $000a ' 99  
          Data	$0700, $000a ' 100  
          Data	$0000, $000a ' 101  
          Data	$0000, $00ea ' 102  
          Data	$0000, $0eea ' 103  
          Data	$0000, $eeea ' 104  
          Data	$000e, $eeea ' 105  
          Data	$00ee, $eeea ' 106  
          Data	$00ee, $eeea ' 107  
          Data	$0000, $000a ' 108  
          Data	$0000, $000a ' 109  
          Data	$0000, $e00a ' 110  
          Data	$0700, $000a ' 111  
          Data	$7700, $000a ' 112  
          Data	$0700, $444a ' 113  
          Data	$0004, $444a ' 114  
          Data	$0044, $400a ' 115  
          Data	$0004, $444a ' 116  
          Data	$0000, $444a ' 117  
          Data	$0000, $000a ' 118  
          Data	$0000, $000a ' 119  
Level14Data:
          Data	$0999, $9999 ' 0  
          Data	$0000, $0009 ' 1  
          Data	$0000, $0009 ' 2  
          Data	$0000, $0009 ' 3  
          Data	$0000, $0009 ' 4  
          Data	$9000, $0000 ' 5  
          Data	$9000, $0000 ' 6  
          Data	$9000, $0000 ' 7  
          Data	$9000, $0009 ' 8  
          Data	$9000, $0000 ' 9  
          Data	$9000, $0000 ' 10  
          Data	$9000, $0000 ' 11  
          Data	$9000, $0009 ' 12  
          Data	$9000, $9909 ' 13  
          Data	$9000, $9909 ' 14  
          Data	$9000, $9909 ' 15  
          Data	$9000, $9009 ' 16  
          Data	$9000, $0009 ' 17  
          Data	$9000, $9999 ' 18  
          Data	$9000, $9999 ' 19  
          Data	$9000, $9999 ' 20  
          Data	$9000, $9999 ' 21  
          Data	$9000, $9999 ' 22  
          Data	$9000, $9999 ' 23  
          Data	$9000, $9999 ' 24  
          Data	$9000, $9999 ' 25  
          Data	$0000, $0009 ' 26  
          Data	$0000, $0009 ' 27  
          Data	$0000, $e009 ' 28  
          Data	$0000, $e009 ' 29  
          Data	$0000, $0000 ' 30  
          Data	$0000, $0000 ' 31  
          Data	$0e00, $0000 ' 32  
          Data	$0e00, $0000 ' 33  
          Data	$0000, $0000 ' 34  
          Data	$0000, $0000 ' 35  
          Data	$0000, $0009 ' 36  
          Data	$0000, $0009 ' 37  
          Data	$0000, $0aa9 ' 38  
          Data	$0000, $0aa9 ' 39  
          Data	$0000, $0009 ' 40  
          Data	$9000, $0009 ' 41  
          Data	$900a, $aaa9 ' 42  
          Data	$900a, $aaa9 ' 43  
          Data	$9000, $0009 ' 44  
          Data	$9000, $0009 ' 45  
          Data	$9000, $0aa9 ' 46  
          Data	$9000, $0aa9 ' 47  
          Data	$9000, $0009 ' 48  
          Data	$9000, $0009 ' 49  
          Data	$9000, $0009 ' 50  
          Data	$9000, $0009 ' 51  
          Data	$9000, $0009 ' 52  
          Data	$9000, $0009 ' 53  
          Data	$9000, $0000 ' 54  
          Data	$9000, $0000 ' 55  
          Data	$9000, $0009 ' 56  
          Data	$9000, $0009 ' 57  
          Data	$0000, $0000 ' 58  
          Data	$0000, $0000 ' 59  
          Data	$0000, $aaa9 ' 60  
          Data	$0000, $aaa9 ' 61  
          Data	$0000, $0000 ' 62  
          Data	$0000, $0000 ' 63  
          Data	$9000, $0009 ' 64  
          Data	$9000, $0009 ' 65  
          Data	$0000, $0000 ' 66  
          Data	$0000, $e000 ' 67  
          Data	$0000, $0000 ' 68  
          Data	$0000, $0000 ' 69  
          Data	$0000, $0aa9 ' 70  
          Data	$9000, $0aa9 ' 71  
          Data	$9000, $0009 ' 72  
          Data	$9000, $0009 ' 73  
          Data	$9000, $0009 ' 74  
          Data	$9000, $aaa9 ' 75  
          Data	$9000, $aaa9 ' 76  
          Data	$9000, $0000 ' 77  
          Data	$9000, $0000 ' 78  
          Data	$9000, $0099 ' 79  
          Data	$9000, $0999 ' 80  
          Data	$9000, $9999 ' 81  
          Data	$0000, $0000 ' 82  
          Data	$0000, $0000 ' 83  
          Data	$0000, $0000 ' 84  
          Data	$0000, $0009 ' 85  
          Data	$0900, $9009 ' 86  
          Data	$0900, $9009 ' 87  
          Data	$0900, $9009 ' 88  
          Data	$0900, $9009 ' 89  
          Data	$0900, $9009 ' 90  
          Data	$0900, $9009 ' 91  
          Data	$0900, $9009 ' 92  
          Data	$0900, $0009 ' 93  
          Data	$0000, $0009 ' 94  
          Data	$0000, $0099 ' 95  
          Data	$0000, $0999 ' 96  
          Data	$0000, $9999 ' 97  
          Data	$0000, $0000 ' 98  
          Data	$0000, $0000 ' 99  
          Data	$000a, $aaa9 ' 100  
          Data	$000a, $aaa9 ' 101  
          Data	$0000, $0099 ' 102  
          Data	$0000, $0099 ' 103  
          Data	$0000, $0099 ' 104  
          Data	$0000, $0099 ' 105  
          Data	$9000, $0099 ' 106  
          Data	$9000, $0099 ' 107  
          Data	$9000, $0099 ' 108  
          Data	$9000, $0099 ' 109  
          Data	$9000, $0099 ' 110  
          Data	$9000, $0099 ' 111  
          Data	$9000, $0099 ' 112  
          Data	$9001, $1199 ' 113  
          Data	$9011, $1199 ' 114  
          Data	$9011, $0099 ' 115  
          Data	$9011, $1199 ' 116  
          Data	$9001, $1199 ' 117  
          Data	$9000, $0099 ' 118  
          Data	$9999, $9999 ' 119  
Level15Data:
          Data	$0000, $000e ' 0  
          Data	$0000, $000e ' 1  
          Data	$0000, $000e ' 2  
          Data	$0070, $000e ' 3  
          Data	$0777, $000e ' 4  
          Data	$0777, $000e ' 5  
          Data	$0770, $000e ' 6  
          Data	$0070, $000e ' 7  
          Data	$0000, $000e ' 8  
          Data	$0000, $000e ' 9  
          Data	$0000, $0000 ' 10  
          Data	$0000, $00f0 ' 11  
          Data	$0000, $00f0 ' 12  
          Data	$0000, $00f4 ' 13  
          Data	$000f, $00f0 ' 14  
          Data	$000f, $00f0 ' 15  
          Data	$000f, $4444 ' 16  
          Data	$000f, $0000 ' 17  
          Data	$000f, $0000 ' 18  
          Data	$0000, $0f00 ' 19  
          Data	$0700, $0f00 ' 20  
          Data	$7700, $0f44 ' 21  
          Data	$0700, $0f00 ' 22  
          Data	$0000, $0f00 ' 23  
          Data	$0000, $0000 ' 24  
          Data	$00f0, $0000 ' 25  
          Data	$00f4, $4444 ' 26  
          Data	$00f0, $0000 ' 27  
          Data	$0000, $0000 ' 28  
          Data	$0000, $0f00 ' 29  
          Data	$0000, $0f00 ' 30  
          Data	$000f, $0f44 ' 31  
          Data	$000f, $0f00 ' 32  
          Data	$000f, $4f44 ' 33  
          Data	$000f, $0000 ' 34  
          Data	$000f, $0000 ' 35  
          Data	$0000, $0000 ' 36  
          Data	$0000, $0f00 ' 37  
          Data	$0000, $0f44 ' 38  
          Data	$0000, $0f00 ' 39  
          Data	$0000, $0000 ' 40  
          Data	$00f0, $0000 ' 41  
          Data	$00f4, $4444 ' 42  
          Data	$00f0, $0000 ' 43  
          Data	$0000, $0000 ' 44  
          Data	$0000, $0000 ' 45  
          Data	$0070, $0000 ' 46  
          Data	$0770, $0000 ' 47  
          Data	$0777, $0000 ' 48  
          Data	$0070, $0000 ' 49  
          Data	$0000, $00f0 ' 50  
          Data	$0000, $00f0 ' 51  
          Data	$000f, $00f4 ' 52  
          Data	$000f, $44f4 ' 53  
          Data	$000f, $00f0 ' 54  
          Data	$0f00, $0000 ' 55  
          Data	$0f44, $4444 ' 56  
          Data	$0f00, $0000 ' 57  
          Data	$0000, $f000 ' 58  
          Data	$0000, $f444 ' 59  
          Data	$0000, $f000 ' 60  
          Data	$00f0, $0000 ' 61  
          Data	$00f4, $4444 ' 62  
          Data	$00f0, $0000 ' 63  
          Data	$0000, $0000 ' 64  
          Data	$0000, $0000 ' 65  
          Data	$0000, $0000 ' 66  
          Data	$0000, $f000 ' 67  
          Data	$0000, $f444 ' 68  
          Data	$0000, $f000 ' 69  
          Data	$0000, $0000 ' 70  
          Data	$0000, $0000 ' 71  
          Data	$0070, $0000 ' 72  
          Data	$0777, $0000 ' 73  
          Data	$0777, $0000 ' 74  
          Data	$0770, $0f00 ' 75  
          Data	$0070, $0f44 ' 76  
          Data	$0070, $0f00 ' 77  
          Data	$0000, $0000 ' 78  
          Data	$0000, $0000 ' 79  
          Data	$0000, $0000 ' 80  
          Data	$0000, $0f00 ' 81  
          Data	$0000, $0f44 ' 82  
          Data	$0000, $0f00 ' 83  
          Data	$0000, $0000 ' 84  
          Data	$0000, $0000 ' 85  
          Data	$000f, $0000 ' 86  
          Data	$000f, $0000 ' 87  
          Data	$000f, $4444 ' 88  
          Data	$000f, $0000 ' 89  
          Data	$0f0f, $0000 ' 90  
          Data	$0f44, $4444 ' 91  
          Data	$0f00, $0000 ' 92  
          Data	$0000, $0000 ' 93  
          Data	$0000, $00f0 ' 94  
          Data	$0000, $00f0 ' 95  
          Data	$7000, $00f4 ' 96  
          Data	$7000, $00f0 ' 97  
          Data	$7700, $00f0 ' 98  
          Data	$7000, $0000 ' 99  
          Data	$0000, $f000 ' 100  
          Data	$0000, $f444 ' 101  
          Data	$0000, $f000 ' 102  
          Data	$0000, $0000 ' 103  
          Data	$0000, $0000 ' 104  
          Data	$0070, $0000 ' 105  
          Data	$0770, $0000 ' 106  
          Data	$0777, $000e ' 107  
          Data	$0777, $000e ' 108  
          Data	$0070, $000e ' 109  
          Data	$0000, $000e ' 110  
          Data	$0000, $000e ' 111  
          Data	$0011, $111e ' 112  
          Data	$0111, $111e ' 113  
          Data	$0100, $111e ' 114  
          Data	$0111, $100e ' 115  
          Data	$0100, $111e ' 116  
          Data	$0111, $111e ' 117  
          Data	$0011, $111e ' 118  
          Data	$0000, $000e ' 119  
Level16Data:
          Data	$9009, $9999 ' 0  
          Data	$9000, $9999 ' 1  
          Data	$9000, $0999 ' 2  
          Data	$9000, $0099 ' 3  
          Data	$9000, $0099 ' 4  
          Data	$9000, $0004 ' 5  
          Data	$9000, $0999 ' 6  
          Data	$9000, $0099 ' 7  
          Data	$9000, $0004 ' 8  
          Data	$9000, $0999 ' 9  
          Data	$9000, $0999 ' 10  
          Data	$9000, $0009 ' 11  
          Data	$9009, $9009 ' 12  
          Data	$9009, $9009 ' 13  
          Data	$9009, $9009 ' 14  
          Data	$9000, $0009 ' 15  
          Data	$9009, $9009 ' 16  
          Data	$9000, $0009 ' 17  
          Data	$9009, $9009 ' 18  
          Data	$9000, $0009 ' 19  
          Data	$9009, $9009 ' 20  
          Data	$9000, $0009 ' 21  
          Data	$9009, $9009 ' 22  
          Data	$9009, $0009 ' 23  
          Data	$9009, $0009 ' 24  
          Data	$9009, $0ff9 ' 25  
          Data	$9009, $0ff9 ' 26  
          Data	$9009, $0009 ' 27  
          Data	$9009, $0009 ' 28  
          Data	$9009, $9009 ' 29  
          Data	$9009, $9009 ' 30  
          Data	$9009, $9009 ' 31  
          Data	$9009, $9009 ' 32  
          Data	$900e, $9009 ' 33  
          Data	$9009, $9009 ' 34  
          Data	$9009, $9009 ' 35  
          Data	$9009, $9009 ' 36  
          Data	$9009, $9009 ' 37  
          Data	$9009, $9009 ' 38  
          Data	$9009, $e009 ' 39  
          Data	$9009, $9009 ' 40  
          Data	$9009, $9009 ' 41  
          Data	$9009, $9009 ' 42  
          Data	$9009, $9009 ' 43  
          Data	$9009, $9009 ' 44  
          Data	$9009, $9009 ' 45  
          Data	$9000, $0009 ' 46  
          Data	$9000, $0009 ' 47  
          Data	$9990, $0999 ' 48  
          Data	$9990, $0999 ' 49  
          Data	$9000, $0009 ' 50  
          Data	$9000, $0009 ' 51  
          Data	$9000, $0009 ' 52  
          Data	$9000, $0909 ' 53  
          Data	$9000, $0909 ' 54  
          Data	$9090, $0004 ' 55  
          Data	$9090, $0004 ' 56  
          Data	$9000, $9999 ' 57  
          Data	$9000, $9004 ' 58  
          Data	$9090, $9004 ' 59  
          Data	$9009, $9004 ' 60  
          Data	$9009, $0009 ' 61  
          Data	$9009, $0909 ' 62  
          Data	$9000, $0909 ' 63  
          Data	$9000, $0909 ' 64  
          Data	$9000, $0909 ' 65  
          Data	$9009, $9909 ' 66  
          Data	$9009, $0909 ' 67  
          Data	$9009, $0909 ' 68  
          Data	$9000, $0909 ' 69  
          Data	$9000, $0909 ' 70  
          Data	$9009, $0909 ' 71  
          Data	$9009, $0909 ' 72  
          Data	$900e, $0909 ' 73  
          Data	$9009, $0909 ' 74  
          Data	$9009, $0909 ' 75  
          Data	$9009, $0909 ' 76  
          Data	$9009, $0e09 ' 77  
          Data	$9009, $0909 ' 78  
          Data	$9009, $0909 ' 79  
          Data	$9009, $0909 ' 80  
          Data	$9009, $0909 ' 81  
          Data	$9009, $0909 ' 82  
          Data	$9009, $0909 ' 83  
          Data	$9009, $0909 ' 84  
          Data	$9009, $0909 ' 85  
          Data	$9009, $0909 ' 86  
          Data	$9009, $0909 ' 87  
          Data	$9009, $0909 ' 88  
          Data	$9009, $0909 ' 89  
          Data	$9009, $9009 ' 90  
          Data	$9990, $0009 ' 91  
          Data	$9900, $0009 ' 92  
          Data	$9900, $0999 ' 93  
          Data	$9900, $0999 ' 94  
          Data	$9900, $0999 ' 95  
          Data	$9900, $09f4 ' 96  
          Data	$9000, $00f4 ' 97  
          Data	$0000, $00f4 ' 98  
          Data	$0000, $00f4 ' 99  
          Data	$0000, $00f4 ' 100  
          Data	$0000, $00f4 ' 101  
          Data	$0000, $00f4 ' 102  
          Data	$0000, $00f4 ' 103  
          Data	$0000, $00f4 ' 104  
          Data	$99ee, $ee99 ' 105  
          Data	$9990, $0999 ' 106  
          Data	$9000, $0009 ' 107  
          Data	$9000, $0009 ' 108  
          Data	$9000, $0009 ' 109  
          Data	$9000, $0009 ' 110  
          Data	$9000, $0009 ' 111  
          Data	$9000, $0009 ' 112  
          Data	$9000, $0009 ' 113  
          Data	$9000, $1119 ' 114  
          Data	$9000, $1009 ' 115  
          Data	$9000, $1119 ' 116  
          Data	$9000, $0009 ' 117  
          Data	$9000, $0009 ' 118  
          Data	$9999, $9999 ' 119  
Level17Data:
          Data	$0000, $000e ' 0  
          Data	$0000, $000e ' 1  
          Data	$0000, $000e ' 2  
          Data	$0070, $000e ' 3  
          Data	$0777, $000e ' 4  
          Data	$7777, $700e ' 5  
          Data	$7777, $700e ' 6  
          Data	$0777, $000e ' 7  
          Data	$0070, $000e ' 8  
          Data	$0000, $000e ' 9  
          Data	$0000, $000e ' 10  
          Data	$0000, $000e ' 11  
          Data	$0000, $000e ' 12  
          Data	$0000, $000e ' 13  
          Data	$0000, $000e ' 14  
          Data	$0700, $000e ' 15  
          Data	$7770, $000e ' 16  
          Data	$7700, $000e ' 17  
          Data	$0700, $000e ' 18  
          Data	$0000, $000e ' 19  
          Data	$0000, $000e ' 20  
          Data	$0000, $0ffe ' 21  
          Data	$0000, $0ffe ' 22  
          Data	$0000, $000e ' 23  
          Data	$0700, $000e ' 24  
          Data	$7700, $0000 ' 25  
          Data	$0700, $0000 ' 26  
          Data	$0000, $0000 ' 27  
          Data	$0000, $0ffe ' 28  
          Data	$0000, $0ffe ' 29  
          Data	$0000, $000e ' 30  
          Data	$0000, $000e ' 31  
          Data	$0000, $000e ' 32  
          Data	$0000, $000e ' 33  
          Data	$0000, $000e ' 34  
          Data	$0070, $000e ' 35  
          Data	$0770, $000e ' 36  
          Data	$0770, $000e ' 37  
          Data	$0770, $000e ' 38  
          Data	$0070, $000e ' 39  
          Data	$0000, $000e ' 40  
          Data	$0000, $000e ' 41  
          Data	$0000, $000e ' 42  
          Data	$0000, $000e ' 43  
          Data	$0000, $000e ' 44  
          Data	$0000, $000e ' 45  
          Data	$0000, $000e ' 46  
          Data	$0000, $aaae ' 47  
          Data	$0000, $a00e ' 48  
          Data	$0a00, $a00e ' 49  
          Data	$0a00, $a00e ' 50  
          Data	$0a00, $a000 ' 51  
          Data	$0000, $0000 ' 52  
          Data	$0000, $0000 ' 53  
          Data	$0000, $000e ' 54  
          Data	$0700, $000e ' 55  
          Data	$0770, $000e ' 56  
          Data	$7770, $000e ' 57  
          Data	$0700, $000e ' 58  
          Data	$0000, $000e ' 59  
          Data	$0000, $000e ' 60  
          Data	$0000, $000e ' 61  
          Data	$0000, $000e ' 62  
          Data	$0000, $000e ' 63  
          Data	$0000, $0000 ' 64  
          Data	$0700, $0000 ' 65  
          Data	$7770, $0000 ' 66  
          Data	$7770, $000e ' 67  
          Data	$7770, $000e ' 68  
          Data	$7700, $000e ' 69  
          Data	$0700, $000e ' 70  
          Data	$0000, $000e ' 71  
          Data	$0000, $000e ' 72  
          Data	$0000, $000e ' 73  
          Data	$0000, $000e ' 74  
          Data	$0000, $000e ' 75  
          Data	$0000, $000e ' 76  
          Data	$0000, $000e ' 77  
          Data	$0000, $000e ' 78  
          Data	$0700, $000e ' 79  
          Data	$0700, $000e ' 80  
          Data	$7700, $aaae ' 81  
          Data	$0700, $a00e ' 82  
          Data	$0000, $a00e ' 83  
          Data	$0000, $000e ' 84  
          Data	$0000, $0000 ' 85  
          Data	$0000, $0000 ' 86  
          Data	$00ff, $a00e ' 87  
          Data	$00ff, $a00e ' 88  
          Data	$0000, $000e ' 89  
          Data	$0000, $000e ' 90  
          Data	$0000, $000e ' 91  
          Data	$0000, $0ffe ' 92  
          Data	$0000, $0ffe ' 93  
          Data	$0000, $000e ' 94  
          Data	$0000, $000e ' 95  
          Data	$0700, $000e ' 96  
          Data	$0770, $000e ' 97  
          Data	$7770, $000e ' 98  
          Data	$7700, $000e ' 99  
          Data	$0700, $000e ' 100  
          Data	$0000, $00ae ' 101  
          Data	$0000, $0aae ' 102  
          Data	$0000, $aaae ' 103  
          Data	$000a, $aaae ' 104  
          Data	$0000, $000e ' 105  
          Data	$0aaa, $a00e ' 106  
          Data	$0aaa, $a00e ' 107  
          Data	$0000, $000e ' 108  
          Data	$0000, $000e ' 109  
          Data	$0700, $000e ' 110  
          Data	$7700, $000e ' 111  
          Data	$0700, $000e ' 112  
          Data	$0005, $555e ' 113  
          Data	$0050, $555e ' 114  
          Data	$0055, $500e ' 115  
          Data	$0050, $555e ' 116  
          Data	$0005, $555e ' 117  
          Data	$0000, $000e ' 118  
          Data	$0000, $000e ' 119  
Level18Data:
          Data	$0000, $000a ' 0  
          Data	$0000, $000a ' 1  
          Data	$0700, $000a ' 2  
          Data	$7770, $000a ' 3  
          Data	$0700, $000a ' 4  
          Data	$0000, $000a ' 5  
          Data	$0000, $000a ' 6  
          Data	$0000, $00ea ' 7  
          Data	$0000, $0eea ' 8  
          Data	$0000, $eeea ' 9  
          Data	$0000, $e00a ' 10  
          Data	$0000, $e00a ' 11  
          Data	$0000, $000a ' 12  
          Data	$0000, $000a ' 13  
          Data	$0000, $000a ' 14  
          Data	$0000, $0000 ' 15  
          Data	$0000, $0000 ' 16  
          Data	$0e00, $e00a ' 17  
          Data	$0e00, $e00a ' 18  
          Data	$0e00, $e00a ' 19  
          Data	$0e00, $e00a ' 20  
          Data	$0000, $000a ' 21  
          Data	$0000, $000a ' 22  
          Data	$0000, $000a ' 23  
          Data	$0000, $000a ' 24  
          Data	$0000, $00ea ' 25  
          Data	$0000, $0eea ' 26  
          Data	$0000, $eeea ' 27  
          Data	$0000, $eeea ' 28  
          Data	$0700, $0eea ' 29  
          Data	$7700, $000a ' 30  
          Data	$7770, $0ffa ' 31  
          Data	$0770, $0ffa ' 32  
          Data	$0700, $00ea ' 33  
          Data	$0000, $0eea ' 34  
          Data	$0000, $eeea ' 35  
          Data	$0000, $0000 ' 36  
          Data	$0000, $0000 ' 37  
          Data	$000e, $eeea ' 38  
          Data	$00ee, $eeea ' 39  
          Data	$00ee, $eeea ' 40  
          Data	$0000, $000a ' 41  
          Data	$0000, $000a ' 42  
          Data	$0000, $000a ' 43  
          Data	$0000, $e00a ' 44  
          Data	$0000, $e00a ' 45  
          Data	$0000, $e00a ' 46  
          Data	$0000, $000a ' 47  
          Data	$0000, $e00a ' 48  
          Data	$0e00, $000a ' 49  
          Data	$0e00, $000a ' 50  
          Data	$0e00, $000a ' 51  
          Data	$0000, $0000 ' 52  
          Data	$0000, $0000 ' 53  
          Data	$0000, $0000 ' 54  
          Data	$0700, $000a ' 55  
          Data	$7770, $000a ' 56  
          Data	$7770, $000a ' 57  
          Data	$0700, $000a ' 58  
          Data	$0000, $000a ' 59  
          Data	$0000, $000a ' 60  
          Data	$0000, $000a ' 61  
          Data	$0000, $0ffa ' 62  
          Data	$0000, $0ffa ' 63  
          Data	$0000, $000a ' 64  
          Data	$0e00, $e00a ' 65  
          Data	$0e00, $e00a ' 66  
          Data	$0e00, $e00a ' 67  
          Data	$0e00, $e00a ' 68  
          Data	$0e00, $e00a ' 69  
          Data	$0000, $000a ' 70  
          Data	$0000, $0000 ' 71  
          Data	$0000, $0000 ' 72  
          Data	$0000, $000a ' 73  
          Data	$0700, $000a ' 74  
          Data	$7700, $000a ' 75  
          Data	$0700, $000a ' 76  
          Data	$0000, $000a ' 77  
          Data	$0000, $000a ' 78  
          Data	$0000, $e00a ' 79  
          Data	$0000, $e00a ' 80  
          Data	$0000, $0000 ' 81  
          Data	$0000, $0000 ' 82  
          Data	$000e, $0000 ' 83  
          Data	$000e, $0000 ' 84  
          Data	$0000, $0000 ' 85  
          Data	$0e00, $0000 ' 86  
          Data	$0e00, $000a ' 87  
          Data	$0e00, $000a ' 88  
          Data	$0e00, $000a ' 89  
          Data	$0000, $000a ' 90  
          Data	$0000, $000a ' 91  
          Data	$0000, $000a ' 92  
          Data	$0000, $e00a ' 93  
          Data	$0000, $000a ' 94  
          Data	$0000, $0000 ' 95  
          Data	$00e0, $0000 ' 96  
          Data	$00e0, $0ffa ' 97  
          Data	$00e0, $0ffa ' 98  
          Data	$0000, $0000 ' 99  
          Data	$0000, $0000 ' 100  
          Data	$0000, $000a ' 101  
          Data	$0700, $000a ' 102  
          Data	$7700, $000a ' 103  
          Data	$0700, $00ea ' 104  
          Data	$0000, $0000 ' 105  
          Data	$0000, $0eea ' 106  
          Data	$0000, $eeea ' 107  
          Data	$0000, $0000 ' 108  
          Data	$000e, $eeea ' 109  
          Data	$00ee, $eeea ' 110  
          Data	$0000, $000a ' 111  
          Data	$0000, $000a ' 112  
          Data	$0000, $444a ' 113  
          Data	$0004, $444a ' 114  
          Data	$0704, $400a ' 115  
          Data	$7704, $444a ' 116  
          Data	$7700, $444a ' 117  
          Data	$7000, $000a ' 118  
          Data	$0000, $000a ' 119  
Level19Data:
          Data	$0000, $000e ' 0  
          Data	$0000, $000e ' 1  
          Data	$0000, $000e ' 2  
          Data	$0070, $000e ' 3  
          Data	$0777, $000e ' 4  
          Data	$0777, $000e ' 5  
          Data	$0770, $000e ' 6  
          Data	$0770, $000e ' 7  
          Data	$0070, $000e ' 8  
          Data	$0000, $000e ' 9  
          Data	$0000, $000e ' 10  
          Data	$0000, $0000 ' 11  
          Data	$0000, $0000 ' 12  
          Data	$0000, $0a00 ' 13  
          Data	$0000, $0a66 ' 14  
          Data	$0000, $0a00 ' 15  
          Data	$0000, $0000 ' 16  
          Data	$0000, $0000 ' 17  
          Data	$000a, $0000 ' 18  
          Data	$000a, $6666 ' 19  
          Data	$0a0a, $6666 ' 20  
          Data	$0a6a, $6666 ' 21  
          Data	$0a6a, $6666 ' 22  
          Data	$0a0a, $6666 ' 23  
          Data	$000a, $0000 ' 24  
          Data	$0000, $0000 ' 25  
          Data	$0000, $0a00 ' 26  
          Data	$0000, $0a66 ' 27  
          Data	$0000, $0a00 ' 28  
          Data	$0000, $0000 ' 29  
          Data	$0000, $a000 ' 30  
          Data	$0000, $a666 ' 31  
          Data	$0000, $a666 ' 32  
          Data	$0000, $a000 ' 33  
          Data	$00a0, $0000 ' 34  
          Data	$00a6, $6666 ' 35  
          Data	$00a6, $6666 ' 36  
          Data	$00a0, $0000 ' 37  
          Data	$0000, $0000 ' 38  
          Data	$0000, $0000 ' 39  
          Data	$0700, $00a0 ' 40  
          Data	$7700, $00a6 ' 41  
          Data	$0700, $00a0 ' 42  
          Data	$0000, $0000 ' 43  
          Data	$0000, $0000 ' 44  
          Data	$0000, $00a0 ' 45  
          Data	$0a00, $00a6 ' 46  
          Data	$0a66, $66a6 ' 47  
          Data	$0a00, $00a0 ' 48  
          Data	$0000, $0000 ' 49  
          Data	$0000, $00a0 ' 50  
          Data	$0000, $00a6 ' 51  
          Data	$0000, $00a0 ' 52  
          Data	$000a, $0000 ' 53  
          Data	$000a, $6666 ' 54  
          Data	$000a, $0000 ' 55  
          Data	$0000, $0000 ' 56  
          Data	$0a00, $0000 ' 57  
          Data	$0a66, $6666 ' 58  
          Data	$0a66, $6666 ' 59  
          Data	$0a00, $0000 ' 60  
          Data	$0000, $0000 ' 61  
          Data	$0000, $0000 ' 62  
          Data	$0000, $0000 ' 63  
          Data	$0070, $e000 ' 64  
          Data	$0777, $0000 ' 65  
          Data	$0770, $0000 ' 66  
          Data	$0070, $0000 ' 67  
          Data	$0000, $0a00 ' 68  
          Data	$0000, $0a66 ' 69  
          Data	$0000, $0a66 ' 70  
          Data	$0000, $0a66 ' 71  
          Data	$0000, $0a00 ' 72  
          Data	$0000, $0000 ' 73  
          Data	$0000, $0000 ' 74  
          Data	$0000, $0000 ' 75  
          Data	$000a, $0000 ' 76  
          Data	$000a, $6666 ' 77  
          Data	$000a, $6666 ' 78  
          Data	$000a, $6666 ' 79  
          Data	$000a, $6666 ' 80  
          Data	$000a, $0000 ' 81  
          Data	$0000, $00a0 ' 82  
          Data	$0000, $00a6 ' 83  
          Data	$0000, $00a0 ' 84  
          Data	$0000, $0000 ' 85  
          Data	$00e0, $0000 ' 86  
          Data	$0000, $0000 ' 87  
          Data	$0000, $0000 ' 88  
          Data	$0000, $a000 ' 89  
          Data	$0000, $a666 ' 90  
          Data	$0000, $a000 ' 91  
          Data	$0000, $0000 ' 92  
          Data	$0000, $0000 ' 93  
          Data	$0700, $0000 ' 94  
          Data	$0770, $0000 ' 95  
          Data	$7777, $0000 ' 96  
          Data	$7770, $000e ' 97  
          Data	$0770, $000e ' 98  
          Data	$0070, $000e ' 99  
          Data	$0000, $000e ' 100  
          Data	$0000, $0aae ' 101  
          Data	$0000, $0aae ' 102  
          Data	$000a, $aaae ' 103  
          Data	$000a, $aaae ' 104  
          Data	$00aa, $aaae ' 105  
          Data	$0000, $000e ' 106  
          Data	$0700, $000e ' 107  
          Data	$0770, $000e ' 108  
          Data	$7770, $000e ' 109  
          Data	$7700, $000e ' 110  
          Data	$7000, $000e ' 111  
          Data	$0011, $111e ' 112  
          Data	$0100, $111e ' 113  
          Data	$0100, $111e ' 114  
          Data	$0111, $100e ' 115  
          Data	$0100, $111e ' 116  
          Data	$0100, $111e ' 117  
          Data	$0011, $111e ' 118  
          Data	$0000, $000e ' 119  
Level20Data:
          Data	$9909, $9999 ' 0  
          Data	$9900, $9999 ' 1  
          Data	$9900, $0999 ' 2  
          Data	$9900, $0099 ' 3  
          Data	$9900, $0099 ' 4  
          Data	$9900, $0099 ' 5  
          Data	$9900, $0099 ' 6  
          Data	$9900, $0099 ' 7  
          Data	$9900, $0099 ' 8  
          Data	$9900, $0099 ' 9  
          Data	$9900, $0099 ' 10  
          Data	$9900, $0099 ' 11  
          Data	$9900, $0099 ' 12  
          Data	$9000, $0099 ' 13  
          Data	$0000, $0004 ' 14  
          Data	$0000, $9004 ' 15  
          Data	$0000, $0004 ' 16  
          Data	$0000, $0004 ' 17  
          Data	$0000, $0004 ' 18  
          Data	$0000, $0004 ' 19  
          Data	$0000, $0004 ' 20  
          Data	$0000, $0904 ' 21  
          Data	$0000, $0004 ' 22  
          Data	$0000, $0004 ' 23  
          Data	$0000, $0099 ' 24  
          Data	$0000, $0009 ' 25  
          Data	$0000, $0009 ' 26  
          Data	$0900, $0009 ' 27  
          Data	$0900, $9009 ' 28  
          Data	$0900, $9009 ' 29  
          Data	$0900, $9009 ' 30  
          Data	$0000, $9009 ' 31  
          Data	$0000, $900e ' 32  
          Data	$0000, $9009 ' 33  
          Data	$0000, $9009 ' 34  
          Data	$0000, $9009 ' 35  
          Data	$0000, $e009 ' 36  
          Data	$0000, $9009 ' 37  
          Data	$9000, $9009 ' 38  
          Data	$9900, $9009 ' 39  
          Data	$9900, $9009 ' 40  
          Data	$9e00, $900e ' 41  
          Data	$9900, $9009 ' 42  
          Data	$9900, $9009 ' 43  
          Data	$9900, $9009 ' 44  
          Data	$9900, $9009 ' 45  
          Data	$9900, $e009 ' 46  
          Data	$9900, $9009 ' 47  
          Data	$9900, $9009 ' 48  
          Data	$9900, $9009 ' 49  
          Data	$9900, $900e ' 50  
          Data	$9900, $9009 ' 51  
          Data	$9900, $9009 ' 52  
          Data	$9900, $9009 ' 53  
          Data	$9900, $9009 ' 54  
          Data	$9900, $e009 ' 55  
          Data	$9900, $0009 ' 56  
          Data	$9900, $0009 ' 57  
          Data	$9900, $0009 ' 58  
          Data	$9900, $0009 ' 59  
          Data	$9900, $9999 ' 60  
          Data	$9e00, $9999 ' 61  
          Data	$9000, $9999 ' 62  
          Data	$0000, $0004 ' 63  
          Data	$0000, $0004 ' 64  
          Data	$0000, $0004 ' 65  
          Data	$0000, $0004 ' 66  
          Data	$0000, $0004 ' 67  
          Data	$0000, $0009 ' 68  
          Data	$0000, $0e99 ' 69  
          Data	$9900, $0999 ' 70  
          Data	$9900, $0999 ' 71  
          Data	$9900, $0999 ' 72  
          Data	$9000, $0099 ' 73  
          Data	$0000, $0004 ' 74  
          Data	$0000, $0004 ' 75  
          Data	$0000, $0004 ' 76  
          Data	$0000, $e004 ' 77  
          Data	$0000, $0004 ' 78  
          Data	$0000, $0004 ' 79  
          Data	$0000, $0999 ' 80  
          Data	$0000, $0004 ' 81  
          Data	$0000, $0004 ' 82  
          Data	$0000, $0004 ' 83  
          Data	$0000, $9999 ' 84  
          Data	$0000, $0004 ' 85  
          Data	$0000, $0004 ' 86  
          Data	$0000, $0009 ' 87  
          Data	$9900, $0099 ' 88  
          Data	$9900, $9999 ' 89  
          Data	$9900, $0999 ' 90  
          Data	$9000, $0004 ' 91  
          Data	$9000, $0099 ' 92  
          Data	$9900, $0999 ' 93  
          Data	$9900, $0999 ' 94  
          Data	$9900, $0999 ' 95  
          Data	$9900, $09f4 ' 96  
          Data	$9000, $00f4 ' 97  
          Data	$0000, $00f4 ' 98  
          Data	$0000, $00f4 ' 99  
          Data	$0000, $00f4 ' 100  
          Data	$0000, $00f4 ' 101  
          Data	$0000, $00f4 ' 102  
          Data	$0000, $00f4 ' 103  
          Data	$0000, $00f4 ' 104  
          Data	$99ee, $ee99 ' 105  
          Data	$9990, $0999 ' 106  
          Data	$9000, $0009 ' 107  
          Data	$9000, $0009 ' 108  
          Data	$9000, $0009 ' 109  
          Data	$9000, $0009 ' 110  
          Data	$9000, $0009 ' 111  
          Data	$9000, $0009 ' 112  
          Data	$9000, $0009 ' 113  
          Data	$9000, $1119 ' 114  
          Data	$9000, $1009 ' 115  
          Data	$9000, $1119 ' 116  
          Data	$9000, $0009 ' 117  
          Data	$9000, $0009 ' 118  
          Data	$9999, $9999 ' 119  
